import { world } from '@minecraft/server';

import { ActionFormData, MessageFormData, ModalFormData } from "@minecraft/server-ui";

world.events.beforeItemUse.subscribe(eventData => {
  const player = eventData.source;
  if (eventData.item.typeId == "minecraft:cookie") {
    player.runCommandAsync('playsound note.pling @s');
    EffectsMenu(player);
  }
  if (eventData.item.typeId == "minecraft:diamond") {
    player.runCommandAsync('playsound note.pling @s');
    NukerMenu(player);
  }
});
function EffectsMenu(player) {
  const EM = new ModalFormData();
  EM.title("Horion Effects Menu");
  EM.dropdown("Effects:", ["speed", "jump_boost", "invisibility", "fire_resistance"]);
  EM.slider("Duration", 1, 10000, 1);
  EM.slider("Amplifier", 1, 255, 1);
  EM.toggle("Remove Particle Effects", false);
  EM.show(player).then(finish => {
    if (finish.formValues[0] == 0) {
      player.runCommandAsync(`execute @s ~~~ effect @p speed ${finish.formValues[1]} ${finish.formValues[2]} ${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 1) {
      player.runCommandAsync(`execute @s ~~~ effect @p jump_boost ${finish.formValues[1]} ${finish.formValues[2]} ${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 2) {
      player.runCommandAsync(`execute @s ~~~ effect @p invisibility ${finish.formValues[1]} ${finish.formValues[2]} ${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 3) {
      player.runCommandAsync(`execute @s ~~~ effect @p fire_resistance ${finish.formValues[1]} ${finish.formValues[2]} ${finish.formValues[3]}`);
    }
  })
}
function NukerMenu(player) {
  const NM = new ModalFormData();
  NM.title("Horion Nuker Menu");
  NM.slider("X destroy distance", 1, 12, 1);
  NM.slider("Z destroy distance", 1, 12, 1);
  NM.slider("Y destroy height", 1, 6, 1);
  NM.toggle("Do TileDrops", true);
  NM.show(player).then(finish => {
    if (finish.formValues[3] == true) {
      player.runCommandAsync(`execute @s ~~~ fill ~${finish.formValues[0]} ~${finish.formValues[2]} ~${finish.formValues[1]} ~~~ air 0 destroy`);
    }
    if (finish.formValues[3] == false) {
      player.runCommandAsync(`execute @s ~~~ fill ~${finish.formValues[0]} ~${finish.formValues[2]} ~${finish.formValues[1]} ~~~ air`);
    }
  })
} //Made by ItzJeremicer