import { world } from '@minecraft/server';

import { ActionFormData, MessageFormData, ModalFormData } from "@minecraft/server-ui";

world.events.beforeItemUse.subscribe(eventData => {
  const player = eventData.source;
  if (eventData.item.typeId == "agp:settings" && !player.hasTag('Lock')) {
    player.runCommandAsync('execute @s ~~~ tag @s add Selector');
    player.runCommandAsync('playsound note.pling @s');
    WeatherMenu(player);
  }
  if (eventData.item.typeId == "agp:tornado_item" && player.hasTag('Selector') && !player.hasTag('Lock')) {
    player.runCommandAsync('playsound note.pling @s');
    TornadoItem(player);
  }
  if (eventData.item.typeId == "agp:settings" && player.hasTag('SelectBackUp') && player.hasTag('Lock')) {
    player.runCommandAsync('playsound note.pling @s');
    WeatherMenu(player);
  }
  if (eventData.item.typeId == "agp:tornado_item" && player.hasTag('SelectBackUp') && player.hasTag('Lock')) {
    player.runCommandAsync('playsound note.pling @s');
    TornadoItem(player);
  }
});
function WeatherMenu(player) {
  const WeatherForm = new ActionFormData();
  WeatherForm.title("Weather Debug Menu");
  WeatherForm.body("This menu allows you, the player, to customize the addon to your liking. \nIf you feel there is a feature missing, please notify me!");
  WeatherForm.button("Storms Menu");
  WeatherForm.button("Settings");
  WeatherForm.button("Experimental Toggles");
  WeatherForm.button("Transfer Menu");
  WeatherForm.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommandAsync('playsound note.pling @s');
      StormsMenu(player);
    }
    if (finish.selection == 1) {
      player.runCommandAsync('playsound note.pling @s');
      SettingsMenu(player);
    }
    if (finish.selection == 2) {
      player.runCommandAsync('playsound note.pling @s');
      ExperimentalToggles(player);
    }
    if (finish.selection == 3) {
      player.runCommandAsync('playsound note.pling @s');
      TransferMenu(player);
    }
  })
}
function StormsMenu(player) {
  const WeatherForm = new ActionFormData();
  WeatherForm.title("Storm Debug Menu");
  WeatherForm.body("This menu allows you to customize all of the storms in the addon!");
  WeatherForm.button("Twister Menu");
  WeatherForm.button("Firenado Menu");
  WeatherForm.button("Waterspout Menu");
  WeatherForm.button("Supercell Menu");
  WeatherForm.button("Storm Menu");
  WeatherForm.button("Storm Cloud Menu");
  WeatherForm.button("Performance Menu");
  WeatherForm.button("Back Menu");
  WeatherForm.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommandAsync('playsound note.pling @s');
      TwisterMenu(player);
    }
    if (finish.selection == 1) {
      player.runCommandAsync('playsound note.pling @s');
      FirenadoMenu(player);
    }
    if (finish.selection == 2) {
      player.runCommandAsync('playsound note.pling @s');
      WaterspoutMenu(player);
    }
    if (finish.selection == 3) {
      player.runCommandAsync('playsound note.pling @s');
      SupercellMenu(player);
    }
    if (finish.selection == 4) {
      player.runCommandAsync('playsound note.pling @s');
      StormMenu(player);
    }
    if (finish.selection == 5) {
      player.runCommandAsync('playsound note.pling @s');
      StormCloudMenu(player);
    }
    if (finish.selection == 6) {
      player.runCommandAsync('playsound note.pling @s');
      PerformanceMenu(player);
    }
    if (finish.selection == 7) {
      player.runCommandAsync('playsound note.pling @s');
      WeatherMenu(player);
    }
  })
}
function TwisterMenu(player) {
  const TM = new ActionFormData();
  TM.title("Twister Debug Menu");
  TM.body("This menu allows you to customize the tornadoes, \nmaking it a better experience for you!");
  TM.button("Particles Menu");
  TM.button("Flying Menu");
  TM.button("Direction Menu");
  TM.button("Destruction Menu");
  TM.button("Performance Menu");
  TM.button("Spawn Menu");
  TM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommandAsync('playsound note.pling @s');
      TwisterParticlesMenu(player);
    }
    if (finish.selection == 1) {
      player.runCommandAsync('playsound note.pling @s');
      TwisterFlyingMenu(player);
    }
    if (finish.selection == 2) {
      player.runCommandAsync('playsound note.pling @s');
    }
    if (finish.selection == 3) {
      player.runCommandAsync('playsound note.pling @s');
    }
    if (finish.selection == 4) {
      player.runCommandAsync('playsound note.pling @s');
      PerformanceMenu(player);
    }
    if (finish.selection == 5) {
      player.runCommandAsync('playsound note.pling @s');
      TornadoItem(player);
    }
  })
}
function WaterspoutMenu(player) {
  const WSM = new ActionFormData();
  WSM.title("Waterspout Debug Menu");
  WSM.body("This menu allows you to customize the waterspouts, \nmaking it a better experience for you!");
  WSM.button("Particles Menu");
  WSM.button("Flying Menu");
  WSM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommandAsync('playsound note.pling @s');
      SpoutParticlesMenu(player);
    }
    if (finish.selection == 1) {
      player.runCommandAsync('playsound note.pling @s');
    }
    if (finish.selection == 2) {
      player.runCommandAsync('playsound note.pling @s');
    }
  })
}
function SpoutParticlesMenu(player) {
  const PM = new ActionFormData();
  PM.title("Waterspout Particles Menu");
  PM.body("This menu allows you to display/show the different particles of the waterspouts!");
  PM.button("Debris Clouds");
  PM.button("Flat-Storm Clouds");
  PM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommandAsync('playsound note.pling @s');
      SpoutDebrisClouds(player);
    }
    if (finish.selection == 1) {
      player.runCommandAsync('playsound note.pling @s');
      SpoutFlatStormClouds(player);
    }
  })
}
function TwisterParticlesMenu(player) {
  const PM = new ActionFormData();
  PM.title("Tornado Particles Menu");
  PM.body("This menu allows you to display/show the different particles of the tornadoes!");
  PM.button("Funnels");
  PM.button("Debris Clouds");
  PM.button("Supercell");
  PM.button("Dirt");
  PM.button("Flat-Storm Clouds");
  PM.button("Fog Effect");
  PM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommandAsync('playsound note.pling @s');
      TwisterFunnels(player);
    }
    if (finish.selection == 1) {
      player.runCommandAsync('playsound note.pling @s');
      TwisterDebrisClouds(player);
    }
    if (finish.selection == 2) {
      player.runCommandAsync('playsound note.pling @s');
      TwisterSupercell(player);
    }
    if (finish.selection == 3) {
      player.runCommandAsync('playsound note.pling @s');
      TwisterDirt(player);
    }
    if (finish.selection == 4) {
      player.runCommandAsync('playsound note.pling @s');
      TwisterFlatStormClouds(player);
    }
  })
}
function TwisterSupercell(player) {
  const SCM = new ActionFormData();
  SCM.title("Tornado Particles Menu");
  SCM.body("This menu allows you to display/show the different particles of the tornadoes!");
  SCM.button("Supercell Top Layer");
  SCM.button("Supercell Bottom Layer");
  SCM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommandAsync('playsound note.pling @s');
      TwisterSupercellTop(player);
    }
    if (finish.selection == 1) {
      player.runCommandAsync('playsound note.pling @s');
      TwisterSupercellBottom(player);
    }
  })
}
function SupercellMenu(player) {
  const SM = new ActionFormData();
  SM.title("Supercell Menu");
  SM.body("This menu allows you to change the supercell to your liking!");
  SM.button("Particles Menu");
  SM.button("Functions Menu");
  SM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommandAsync('playsound note.pling @s');
      SupercellParticlesMenu(player);
    }
  })
}
function SupercellParticlesMenu(player) {
  const SM = new ActionFormData();
  SM.title("Supercell Menu");
  SM.body("This menu allows you to display/show the different supercell layers!");
  SM.button("Supercell Top Layer");
  SM.button("Supercell Bottom Layer");
  SM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommandAsync('playsound note.pling @s');
      SupercellTop(player);
    }
    if (finish.selection == 1) {
      player.runCommandAsync('playsound note.pling @s');
      SupercellBottom(player);
    }
  })
}
function TwisterFunnels(player) {
  const F = new ModalFormData();
  F.title("Tornado Particles Menu");
  F.toggle("Show Funnel Cloud", true);
  F.dropdown("Tornado Types", ["F0", "F1", "F2", "F3"]);
  F.toggle("Apply for weak tornadoes", false);
  F.toggle("Apply for all tornadoes", false);
  F.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Funnel0');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add Funnel0');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Funnel1');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add Funnel1');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Funnel2');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add Funnel2');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Funnel3');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add Funnel3');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the F3 enabled: §l§aFalse"}]}`);
    }


    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DFunnel0');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the died-down F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DFunnel0');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the died-down F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DFunnel1');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the died-down F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DFunnel1');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the died-down F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DFunnel2');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the died-down F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DFunnel2');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the died-down F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DFunnel3');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the died-down F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DFunnel3');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the died-down F3 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Funnel');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for all strengthening tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add Funnel');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for all strengthening tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true && finish.formValues[2] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DFunnel');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for all weakening tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true && finish.formValues[2] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s add DFunnel');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for all weakening tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[3] == false && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Funnel');
    }
    if (finish.formValues[3] == false && finish.formValues[2] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DFunnel');
    }
  })
}
function TwisterDebrisClouds(player) {
  const DC = new ModalFormData();
  DC.title("Tornado Particles Menu");
  DC.toggle("Show Debris Cloud", true);
  DC.dropdown("Tornado Types", ["F0", "F1", "F2", "F3"]);
  DC.toggle("Apply for weak tornadoes", false);
  DC.toggle("Apply for all tornadoes", false);
  DC.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Debris0');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add Debris0');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Debris1');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add Debris1');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Debris2');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add Debris2');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Debris3');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add Debris3');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F3 enabled: §l§aFalse"}]}`);
    }


    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DDebris0');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DDebris0');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DDebris1');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DDebris1');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DDebris2');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DDebris2');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DDebris3');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DDebris3');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F3 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Debris');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all strengthening tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add Debris');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all strengthening tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true && finish.formValues[2] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DDebris');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all weakening tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true && finish.formValues[2] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s add DDebris');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all weakening tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[3] == false && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Debris');
    }
    if (finish.formValues[3] == false && finish.formValues[2] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DDebris');
    }
  })
}
function SpoutDebrisClouds(player) {
  const DC = new ModalFormData();
  DC.title("Waterspout Particles Menu");
  DC.toggle("Show Debris Cloud", true);
  DC.dropdown("Spout Types", ["F0", "F1", "F2"]);
  DC.toggle("Apply for all waterspouts", false);
  DC.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove WDebris0');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add WDebris0');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove WDebris1');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add WDebris1');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove WDebris2');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add WDebris2');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[2] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove WDebris');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all waterspouts enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[2] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s add WDebris');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all waterspouts enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove WDebris');
    }
  })
}
function SpoutFlatStormClouds(player) {
  const FSC = new ModalFormData();
  FSC.title("Waterspout Particles Menu");
  FSC.toggle("Show Flat Storm Clouds", true);
  FSC.dropdown("Spout Types", ["F0", "F1", "F2"]);
  FSC.toggle("Apply for all waterspouts", false);
  FSC.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove WFSClouds0');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add WFSClouds0');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove WFSClouds1');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add WFSClouds1');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove WFSClouds2');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add WFSClouds2');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[2] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove WFSClouds');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[2] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s add WFSClouds');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove WFSClouds');
    }
  })
}
function TwisterSupercellTop(player) {
  const SCT = new ModalFormData();
  SCT.title("Tornado Particles Menu");
  SCT.toggle("Show Top Layer Supercell", true);
  SCT.dropdown("Tornado Types", ["F0", "F1", "F2", "F3"]);
  SCT.toggle("Apply for weak tornadoes", false);
  SCT.toggle("Apply for all tornadoes", false);
  SCT.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove TSupercell0');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add TSupercell0');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove TSupercell1');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add TSupercell1');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove TSupercell2');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add TSupercell2');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove TSupercell3');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add TSupercell3');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the F3 enabled: §l§aFalse"}]}`);
    }


    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DTSupercell0');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the died-down F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DTSupercell0');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the died-down F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DTSupercell1');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the died-down F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DTSupercell1');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the died-down F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DTSupercell2');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the died-down F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DTSupercell2');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the died-down F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DTSupercell3');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the died-down F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DTSupercell3');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the died-down F3 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove TSupercell');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for all strengthening tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add TSupercell');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for all strengthening tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true && finish.formValues[2] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DTSupercell');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for all strengthening tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true && finish.formValues[2] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s add DTSupercell');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for all strengthening tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[3] == false && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove TSupercell');
    }
    if (finish.formValues[3] == false && finish.formValues[2] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DTSupercell');
    }
  })
}
function TwisterSupercellBottom(player) {
  const SCB = new ModalFormData();
  SCB.title("Tornado Particles Menu");
  SCB.toggle("Show Bottom Layer Supercell", true);
  SCB.dropdown("Tornado Types", ["F0", "F1", "F2", "F3"]);
  SCB.toggle("Apply for weak tornadoes", false);
  SCB.toggle("Apply for all tornadoes", false);
  SCB.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove BSupercell0');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add BSupercell0');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove BSupercell1');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add BSupercell1');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove BSupercell2');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer bottom layer for the F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add BSupercell2');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove BSupercell3');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add BSupercell3');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the F3 enabled: §l§aFalse"}]}`);
    }


    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DBSupercell0');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the died-down F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DBSupercell0');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the died-down F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DBSupercell1');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the died-down F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DBSupercell1');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the died-down F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DBSupercell2');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the died-down F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DBSupercell2');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the died-down F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DBSupercell3');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the died-down F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DBSupercell3');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the died-down F3 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove BSupercell');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for all strengthening tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add BSupercell');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for all strengthening tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true && finish.formValues[2] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DBSupercell');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for all weakening tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true && finish.formValues[2] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s add DBSupercell');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for all weakening tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[3] == false && finish.formValues[2] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove BSupercell');
    }
    if (finish.formValues[3] == false && finish.formValues[2] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DBSupercell');
    }
  })
}
function TwisterDirt(player) {
  const TD = new ModalFormData();
  TD.title("Tornado Particles Menu");
  TD.toggle("Show Dirt", true);
  TD.dropdown("Tornado Types", ["F0", "F1", "F2", "F3"]);
  TD.toggle("Apply for weak tornadoes", false);
  TD.toggle("Apply for all tornadoes", false);
  TD.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Dirt0');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add Dirt0');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Dirt1');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add Dirt1');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Dirt2');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add Dirt2');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Dirt3');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add Dirt3');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F3 enabled: §l§aFalse"}]}`);
    }


    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DDirt0');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DDirt0');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DDirt1');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DDirt1');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DDirt2');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DDirt2');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DDirt3');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DDirt3');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F3 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Dirt');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s add Dirt');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove Dirt');
    }
  })
}
function TwisterFlatStormClouds(player) {
  const TD = new ModalFormData();
  TD.title("Tornado Particles Menu");
  TD.toggle("Show Flat Storm Clouds", true);
  TD.dropdown("Tornado Types", ["F0", "F1", "F2", "F3"]);
  TD.toggle("Apply for weak tornadoes", false);
  TD.toggle("Apply for all tornadoes", false);
  TD.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove FSClouds0');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add FSClouds0');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove FSClouds1');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add FSClouds1');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove FSClouds2');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add FSClouds2');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove FSClouds3');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add FSClouds3');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F3 enabled: §l§aFalse"}]}`);
    }


    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DFSClouds0');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DFSClouds0');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DFSClouds1');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DFSClouds1');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DFSClouds2');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DFSClouds2');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove DFSClouds3');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add DFSClouds3');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F3 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove FSClouds');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s add FSClouds');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove FSClouds');
    }
  })
}
function SupercellTop(player) {
  const ST = new ModalFormData();
  ST.title("Supercell Particles Menu");
  ST.toggle("Show Top Layer Supercell", true);
  ST.toggle("Apply for weak supercells", false);
  ST.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove STSupercell');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow top layer for strengthening supercells enabled: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add STSupercell');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow top layer for strengthening supercells enabled: §aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove SDTSupercell');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow top layer for weakening supercells enabled: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s add SDTSupercell');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow top layer for weakening supercells enabled: §aFalse"}]}`);
    }
  })
}
function SupercellBottom(player) {
  const SB = new ModalFormData();
  SB.title("Supercell Particles Menu");
  SB.toggle("Show Bottom Layer Supercell", true);
  SB.toggle("Apply for weak supercells", false);
  SB.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s remove SBSupercell');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow bottom layer for strengthening supercells enabled: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add SBSupercell');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow bottom layer for strengthening supercells enabled: §aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove SDBSupercell');
      player.runCommandAsync('execute @s ~~~ playsound note.pling @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow bottom layer for weakening supercells enabled: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s add SDBSupercell');
      player.runCommandAsync('execute @s ~~~ playsound note.bass @s');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow bottom layer for weakening supercells enabled: §aFalse"}]}`);
    }
  })
}
function TwisterFlyingMenu(player) {
  const FM = new ActionFormData();
  FM.title("Tornado Flying Menu");
  FM.body("This menu allows you to change what mobs can be picked up by the tornado!");
  FM.button("Neutral Mobs");
  FM.button("Hostile Mobs");
  FM.button("Player");
  FM.button("Back Menu");
  FM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommandAsync('playsound note.pling @s');
      TwisterNeutralFlyingMenu(player);
    }
    if (finish.selection == 1) {
      player.runCommandAsync('playsound note.pling @s');
      TwisterHostileFlyingMenu(player);
    }
    if (finish.selection == 2) {
      player.runCommandAsync('playsound note.pling @s');
      TwisterPlayerFlyingMenu(player);
    }
    if (finish.selection == 3) {
      player.runCommandAsync('playsound note.pling @s');
      TwisterMenu(player);
    }
  })
}
function TwisterNeutralFlyingMenu(player) {
  const NFM = new ModalFormData();
  NFM.title("Tornado Flying Menu - Neutral Mobs");
  NFM.toggle("Neutral mobs can be picked up by tornado", true);
  NFM.show(player).then(finish => {
    if (finish.formValues[0] == true) {
      player.runCommandAsync('playsound note.pling @s');
      player.runCommandAsync('execute @s ~~~ tag @s remove NeutralMobsAir');
    }
    if (finish.formValues[0] == false) {
      player.runCommandAsync('playsound note.pling @s');
      player.runCommandAsync('execute @s ~~~ tag @s add NeutralMobsAir');
    }
  })
}
function TwisterHostileFlyingMenu(player) {
  const NFM = new ModalFormData();
  NFM.title("Tornado Flying Menu - Hostile Mobs");
  NFM.toggle("Hostile mobs can be picked up by tornado", true);
  NFM.show(player).then(finish => {
    if (finish.formValues[0] == true) {
      player.runCommandAsync('playsound note.pling @s');
      player.runCommandAsync('execute @s ~~~ tag @s remove HostileMobsAir');
    }
    if (finish.formValues[0] == false) {
      player.runCommandAsync('playsound note.pling @s');
      player.runCommandAsync('execute @s ~~~ tag @s add HostileMobsAir');
    }
  })
}
function SettingsMenu(player) {
  const SM = new ActionFormData();
  SM.title("Settings Menu");
  SM.body("This menu allows you to change smaller additions to the addon, that are less important!");
  SM.button("Sounds");
  SM.button("Blocks");
  SM.button("Back Menu");
  SM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommandAsync('playsound note.pling @s');
      SoundsMenu(player);
    }
    if (finish.selection == 1) {
      player.runCommandAsync('playsound note.pling @s');
    }
    if (finish.selection == 2) {
      player.runCommandAsync('playsound note.pling @s');
      WeatherMenu(player);
    }
  })
}
function SoundsMenu(player) {
  const SM = new ActionFormData();
  SM.title("Sounds Menu");
  SM.body("This menu allows you to mess with all of the different sounds from the tornado addon!")
  SM.button("Tornadoes");
  SM.button("Siren");
  SM.button("Back Tab");
  SM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommandAsync('playsound note.pling @s');
      TornadoSounds(player);
    }
    if (finish.selection == 1) {
      player.runCommandAsync('playsound note.pling @s');
      SirenSounds(player);
    }
    if (finish.selection == 2) {
      player.runCommandAsync('playsound note.pling @s');
      SettingsMenu(player);
    }
  })
}
function TornadoSounds(player) {
  const TS = new ActionFormData();
  TS.title("Sounds Menu");
  TS.body("This menu allows you to experiment with all of the different sounds for the tornadoes!")
  TS.button("Sounds");
  TS.button("Samples");
  TS.button("Back Tab");
  TS.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommandAsync('playsound note.pling @s');
    }
    if (finish.selection == 1) {
      player.runCommandAsync('playsound note.pling @s');
    }
    if (finish.selection == 2) {
      player.runCommandAsync('playsound note.pling @s');
      SoundsMenu(player);
    }
  })
}
function SirenSounds(player) {
  const SS = new ActionFormData();
  SS.title("Sounds Menu");
  SS.body("This menu allows you to change the volume of the tornado siren!")
  SS.button("Volume");
  SS.button("Back Tab");
  SS.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommandAsync('playsound note.pling @s');
    }
    if (finish.selection == 1) {
      player.runCommandAsync('playsound note.pling @s');
      SoundsMenu(player);
    }
  })
}
function ExperimentalToggles(player) {
  const ET = new ModalFormData();
  ET.title("Experimental Toggles Menu");
  ET.toggle("Allow Tornadoes", true);
  ET.toggle("Allow Waterspouts", true);
  ET.toggle("Allow Siren Blairs", true);
  ET.toggle("Allow Credits Screen", true);
  ET.toggle("Allow Tornadoes to stop rendering at 350+ blocks away §7- all players", true);
  ET.toggle("Allow Tornadoes to change debris clouds", true);
  ET.toggle("Storms can progress stages", true);
  ET.slider("Tornado spawn chance", 25, 100, 25);
  ET.slider("Tornado progression chance", 25, 100, 25);
  ET.slider("Storm spawn chance", 25, 100, 25);
  ET.toggle("Allow Naturally Spawned Tornadoes", true);
  ET.toggle("Allow Player Spawned Tornadoes", true);
  ET.toggle("Allow Tornadoes to travel up structures", true);
  ET.toggle("Allow Tornadoes to travel down structures", true);
  ET.toggle("Allow Tornadoes §7- overworld", true);
  ET.toggle("Allow Tornadoes §7- nether", true);
  ET.toggle("Allow Tornadoes §7- end", true);
  ET.toggle("Allow Firenadoes", true);
  ET.show(player).then(finish => {
    if (finish.formValues[0] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove NoTN');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Tornadoes: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add NoTN');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Tornadoes: False"}]}`);
    }

    if (finish.formValues[1] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove NoWS');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Waterspouts: §aTrue"}]}`);
    }
    if (finish.formValues[1] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add NoWS');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Waterspouts: §aFalse"}]}`);
    }

    if (finish.formValues[2] == true) {
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Siren Blairs: §aTrue §r§cCurrently Has No Function..."}]}`);
    }
    if (finish.formValues[2] == false) {
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Siren Blairs: §aFalse §r§cCurrently Has No Function..."}]}`);
    }

    if (finish.formValues[3] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove NoSM');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Credits Screen: §a§aTrue"}]}`);
    }
    if (finish.formValues[3] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add NoSM');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow Credits Screen: §aFalse"}]}`);
    }

    if (finish.formValues[4] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove NoRTN');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes stop rendering: §aTrue"}]}`);
    }
    if (finish.formValues[4] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add NoRTN');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes stop rendering: §aFalse"}]}`);
    }

    if (finish.formValues[5] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove NoDCS');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes to switch debris clouds: §aTrue"}]}`);
    }
    if (finish.formValues[5] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add NoDCS');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes to switch debris clouds: §aFalse"}]}`);
    }

    if (finish.formValues[6] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove NoSCP');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow storms to progress through stages: §aTrue"}]}`);
    }
    if (finish.formValues[6] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add NoSCP');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow storms to progress through stages: §aFalse"}]}`);
    }

    if (finish.formValues[7] == 100) {
      player.runCommandAsync('execute @s ~~~ tag @s remove TSC1');
      player.runCommandAsync('execute @s ~~~ tag @s remove TSC2');
      player.runCommandAsync('execute @s ~~~ tag @s remove TSC3');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cTornado spawn chance set to: §a100"}]}`);
    }
    if (finish.formValues[7] == 75) {
      player.runCommandAsync('execute @s ~~~ tag @s add TSC1');
      player.runCommandAsync('execute @s ~~~ tag @s remove TSC2');
      player.runCommandAsync('execute @s ~~~ tag @s remove TSC3');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cTornado spawn chance set to: §a75"}]}`);
    }
    if (finish.formValues[7] == 50) {
      player.runCommandAsync('execute @s ~~~ tag @s add TSC2');
      player.runCommandAsync('execute @s ~~~ tag @s remove TSC1');
      player.runCommandAsync('execute @s ~~~ tag @s remove TSC3');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cTornado spawn chance set to: §a50"}]}`);
    }
    if (finish.formValues[7] == 25) {
      player.runCommandAsync('execute @s ~~~ tag @s add TSC3');
      player.runCommandAsync('execute @s ~~~ tag @s remove TSC1');
      player.runCommandAsync('execute @s ~~~ tag @s remove TSC2');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cTornado spawn chance set to: §a25"}]}`);
    }

    if (finish.formValues[8] == 100) {
      player.runCommandAsync('execute @s ~~~ tag @s remove TPC1');
      player.runCommandAsync('execute @s ~~~ tag @s remove TPC2');
      player.runCommandAsync('execute @s ~~~ tag @s remove TPC3');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cTornado progression chance set to: §a100"}]}`);
    }
    if (finish.formValues[8] == 75) {
      player.runCommandAsync('execute @s ~~~ tag @s add TPC1');
      player.runCommandAsync('execute @s ~~~ tag @s remove TPC2');
      player.runCommandAsync('execute @s ~~~ tag @s remove TPC3');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cTornado progression chance set to: §a75"}]}`);
    }
    if (finish.formValues[8] == 50) {
      player.runCommandAsync('execute @s ~~~ tag @s add TPC2');
      player.runCommandAsync('execute @s ~~~ tag @s remove TPC1');
      player.runCommandAsync('execute @s ~~~ tag @s remove TPC3');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cTornado progression chance set to: §a50"}]}`);
    }
    if (finish.formValues[8] == 25) {
      player.runCommandAsync('execute @s ~~~ tag @s add TPC3');
      player.runCommandAsync('execute @s ~~~ tag @s remove TPC1');
      player.runCommandAsync('execute @s ~~~ tag @s remove TPC2');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cTornado progression chance set to: §a25"}]}`);
    }

    if (finish.formValues[14] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove NoTNOV');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes in the overworld: §aTrue"}]}`);
    }
    if (finish.formValues[14] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add NoTNOV');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes in the overworld: §aFalse"}]}`);
    }

    if (finish.formValues[14] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove NoTNOV');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes in the overworld: §aTrue"}]}`);
    }
    if (finish.formValues[14] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add NoTNOV');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes in the overworld: §aFalse"}]}`);
    }

    if (finish.formValues[15] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove NoTNNE');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes in the nether: §aTrue"}]}`);
    }
    if (finish.formValues[15] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add NoTNNE');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes in the nether: §aFalse"}]}`);
    }

    if (finish.formValues[16] == true) {
      player.runCommandAsync('execute @s ~~~ tag @s remove NoTNEN');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes in the end: §aTrue"}]}`);
    }
    if (finish.formValues[16] == false) {
      player.runCommandAsync('execute @s ~~~ tag @s add NoTNEN');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes in the end: §aFalse"}]}`);
    }
    player.runCommandAsync('playsound block.beehive.exit @s');
  })
}
function TransferMenu(player) {
  const allPlayers = Array.from(world.getPlayers());
  const playerList = []

  for (let i = 0; i < allPlayers.length; i++) {
    playerList[i] = allPlayers[i].nameTag;
  }

  const TM = new ModalFormData();
  TM.title("Transfer Menu");
  TM.dropdown("Player List:", playerList, 0);
  TM.show(player).then(finish => {
    if (finish.formValues[0] == playerList) {
      player.runCommandAsync('tag @s remove Selector');
      player.runCommandAsync(`tellraw ${playerList[finish.formValues[0]]} {"rawtext":[{"text":"§aYou're the new owner!"}]}`);
      player.runCommandAsync(`execute @s ~~~ tag ${playerList[finish.formValues[0]]} add Selector`);
      player.runCommandAsync(`execute @s ~~~ tag ${playerList[finish.formValues[0]]} remove Lock`);
      player.runCommandAsync(`execute @s ~~~ tag ${playerList[finish.formValues[0]]} remove Request`);
      player.runCommandAsync('playsound block.beehive.exit @s');
    }
  })
}
function PerformanceMenu(player) {
  const PM = new ActionFormData();
  PM.title("Performance Menu");
  PM.body("This menu is for changing the mode for the amount of particles that storms render in!")
  PM.button("Standard Performance - §7Default");
  PM.button("Better Performance - §7Medium");
  PM.button("Best Performance - §7High");
  PM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommandAsync('playsound note.pling @s');
      player.runCommandAsync('execute @s ~~~ tag @s remove Performance1');
      player.runCommandAsync('execute @s ~~~ tag @s remove Performance2');
    }
    if (finish.selection == 1) {
      player.runCommandAsync('playsound note.pling @s');
      player.runCommandAsync('execute @s ~~~ tag @s add Performance1');
      player.runCommandAsync('execute @s ~~~ tag @s remove Performance2');
    }
    if (finish.selection == 2) {
      player.runCommandAsync('playsound note.pling @s');
      player.runCommandAsync('execute @s ~~~ tag @s add Performance2');
      player.runCommandAsync('execute @s ~~~ tag @s remove Performance1');
    }
  })
}
function TornadoItem(player) {
  const TI = new ModalFormData();
  TI.title("Tornado Spawn Menu");
  TI.dropdown("Tornado To Spawn:", ["F0", "F1", "F2", "F3"]);
  TI.toggle("Are Spawned Weak", false);
  TI.slider("X Spawn Distance", 0, 100, 1);
  TI.slider("Z Spawn Distance", 0, 100, 1);
  TI.slider("Number To Spawn", 1, 3, 1);
  TI.show(player).then(finish => {
    if (finish.formValues[0] == 0 && finish.formValues[1] == false && finish.formValues[4] == 1) {
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 0 && finish.formValues[1] == false && finish.formValues[4] == 2) {
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 0 && finish.formValues[1] == false && finish.formValues[4] == 3) {
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }

    if (finish.formValues[0] == 0 && finish.formValues[1] == true && finish.formValues[4] == 1) {
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 0 && finish.formValues[1] == true && finish.formValues[4] == 2) {
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 0 && finish.formValues[1] == true && finish.formValues[4] == 3) {
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }

    if (finish.formValues[0] == 1 && finish.formValues[1] == false && finish.formValues[4] == 1) {
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 1 && finish.formValues[1] == false && finish.formValues[4] == 2) {
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 1 && finish.formValues[1] == false && finish.formValues[4] == 3) {
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }

    if (finish.formValues[0] == 1 && finish.formValues[1] == true && finish.formValues[4] == 1) {
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 1 && finish.formValues[1] == true && finish.formValues[4] == 2) {
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 1 && finish.formValues[1] == true && finish.formValues[4] == 3) {
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }

    if (finish.formValues[0] == 2 && finish.formValues[1] == false && finish.formValues[4] == 1) {
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 2 && finish.formValues[1] == false && finish.formValues[4] == 2) {
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 2 && finish.formValues[1] == false && finish.formValues[4] == 3) {
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }

    if (finish.formValues[0] == 2 && finish.formValues[1] == true && finish.formValues[4] == 1) {
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 2 && finish.formValues[1] == true && finish.formValues[4] == 2) {
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 2 && finish.formValues[1] == true && finish.formValues[4] == 3) {
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }

    if (finish.formValues[0] == 3 && finish.formValues[1] == false && finish.formValues[4] == 1) {
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 3 && finish.formValues[1] == false && finish.formValues[4] == 2) {
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 3 && finish.formValues[1] == false && finish.formValues[4] == 3) {
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }

    if (finish.formValues[0] == 3 && finish.formValues[1] == true && finish.formValues[4] == 1) {
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 3 && finish.formValues[1] == true && finish.formValues[4] == 1) {
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 3 && finish.formValues[1] == true && finish.formValues[4] == 1) {
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommandAsync(`execute @s ~~~ summon agp:dd_tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
  })
} //Made by ItzJeremicer