import { world, system, ItemStack } from '@minecraft/server';

import { ActionFormData, ModalFormData, MessageFormData } from "@minecraft/server-ui";

world.beforeEvents.itemUse.subscribe((eventData) => {
  const player = eventData.source;
  const item = eventData.itemStack.typeId;
  if (item === "agp:settings") {
    player.runCommandAsync('execute as @s run tag @s add Selector');
    player.runCommandAsync('playsound note.pling @s');
    system.run(() => {
      WeatherMenu(player);
    })
  }
  if (item === "agp:tornado_menu" && !player.hasTag('Lock')) {
    player.runCommandAsync('execute as @s run tag @s add Selector');
    player.runCommandAsync('playsound note.pling @s');
    system.run(() => {
      TornadoItem(player);
    })
  }
  if (item === "agp:tornado_menu" && player.hasTag('TempSelector') && player.hasTag('Lock')) {
    player.runCommandAsync('playsound note.pling @s');
    system.run(() => {
      TornadoItem(player);
    })
  }
});
function WeatherMenu(player) {
  if (player.hasTag("Selector")) {
    const WeatherForm = new ActionFormData();
    WeatherForm.title("Weather Debug Menu");
    WeatherForm.body("This menu allows you, the player, to customize the addon to your liking. \nIf you feel there is a feature missing, please notify me!");
    WeatherForm.button("Storms Menu");
    WeatherForm.button("Settings Menu");
    WeatherForm.button("Experimental Menu");
    WeatherForm.button("Transfer Menu");
    WeatherForm.show(player).then(finish => {
      if (finish.selection == 0) {
        player.runCommandAsync('playsound note.pling @s');
        StormsMenu(player);
      }
      if (finish.selection == 1) {
        player.runCommandAsync('playsound note.pling @s');
        SettingsMenu(player);
      }
      if (finish.selection == 2) {
        player.runCommandAsync('playsound note.pling @s');
        ExperimentalMenu(player);
      }
      if (finish.selection == 3) {
        player.runCommandAsync('playsound note.pling @s');
        TransferMenu(player);
      }
    })
  }
  if (!player.hasTag("Selector")) {
    const WeatherForm = new ActionFormData();
    WeatherForm.title("Weather Debug Menu");
    WeatherForm.body("This menu allows you, the player, to customize the addon to your liking. \nIf you feel there is a feature missing, please notify me!");
    WeatherForm.button("Settings Menu");
    WeatherForm.button("Experimental Menu");
    WeatherForm.show(player).then(finish => {
      if (finish.selection == 0) {
        player.runCommandAsync('playsound note.pling @s');
        SettingsMenu(player);
      }
      if (finish.selection == 1) {
        player.runCommandAsync('playsound note.pling @s');
        ExperimentalMenu(player);
      }
    })
  }
}
function StormsMenu(player) {
  const WeatherForm = new ActionFormData();
  WeatherForm.title("Storm Debug Menu");
  WeatherForm.body("This menu allows you to customize all of the storms in the addon!");
  WeatherForm.button("Performance Menu");
  WeatherForm.button("Twister Menu");
  WeatherForm.button("Firenado Menu");
  WeatherForm.button("Waterspout Menu");
  WeatherForm.button("Supercell Menu");
  WeatherForm.button("Storm Menu");
  WeatherForm.button("Back Menu");
  WeatherForm.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.pling @s');
      PerformanceMenu(player);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.pling @s');
      TwisterMenu(player);
    }
    if (finish.selection == 2) {
      player.runCommand('playsound note.pling @s');
      FirenadoMenu(player);
    }
    if (finish.selection == 3) {
      player.runCommand('playsound note.pling @s');
      WaterspoutMenu(player);
    }
    if (finish.selection == 4) {
      player.runCommand('playsound note.pling @s');
      SupercellMenu(player);
    }
    if (finish.selection == 5) {
      player.runCommand('playsound note.pling @s');
      StormMenu(player);
    }
    if (finish.selection == 6) {
      player.runCommand('playsound note.pling @s');
      WeatherMenu(player);
    }
  })
}
function TwisterMenu(player) {
  const TM = new ActionFormData();
  TM.title("Twister Debug Menu");
  TM.body("This menu allows you to customize the tornadoes, \nparticles making it a better experience for you!");
  TM.button("Particles Menu");
  TM.button("Back Menu");
  TM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.pling @s');
      TwisterParticlesMenu(player);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.pling @s');
      StormsMenu(player);
    }
  })
}
function WaterspoutMenu(player) {
  const WSM = new ActionFormData();
  WSM.title("Waterspout Debug Menu");
  WSM.body("This menu allows you to customize the waterspouts, \nmaking it a better experience for you!");
  WSM.button("Particles Menu");
  WSM.button("Back Menu");
  WSM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.pling @s');
      SpoutParticlesMenu(player);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.pling @s');
      StormsMenu(player);
    }
  })
}
function SpoutParticlesMenu(player) {
  const PM = new ActionFormData();
  PM.title("Waterspout Particles Menu");
  PM.body("This menu allows you to display/show the different particles of the waterspouts!");
  PM.button("Debris Clouds");
  PM.button("Flat-Storm Clouds");
  PM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.pling @s');
      SpoutDebrisClouds(player);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.pling @s');
      SpoutFlatStormClouds(player);
    }
  })
}
function TwisterParticlesMenu(player) {
  const PM = new ActionFormData();
  PM.title("Tornado Particles Menu");
  PM.body("This menu allows you to display/show the different particles of the tornadoes!");
  PM.button("Funnels");
  PM.button("Debris Clouds");
  PM.button("Supercell");
  PM.button("Dirt");
  PM.button("Flat-Storm Clouds");
  PM.button("Fog Effect");
  PM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.pling @s');
      TwisterFunnels(player);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.pling @s');
      TwisterDebrisClouds(player);
    }
    if (finish.selection == 2) {
      player.runCommand('playsound note.pling @s');
      TwisterSupercell(player);
    }
    if (finish.selection == 3) {
      player.runCommand('playsound note.pling @s');
      TwisterDirt(player);
    }
    if (finish.selection == 4) {
      player.runCommand('playsound note.pling @s');
      TwisterFlatStormClouds(player);
    }
  })
}
function TwisterSupercell(player) {
  const SCM = new ActionFormData();
  SCM.title("Tornado Particles Menu");
  SCM.body("This menu allows you to display/show the different particles of the tornadoes!");
  SCM.button("Supercell Top Layer");
  SCM.button("Supercell Bottom Layer");
  SCM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.pling @s');
      TwisterSupercellTop(player);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.pling @s');
      TwisterSupercellBottom(player);
    }
  })
}
function SupercellMenu(player) {
  const SM = new ActionFormData();
  SM.title("Supercell Menu");
  SM.body("This menu allows you to change the supercell to your liking!");
  SM.button("Particles Menu");
  SM.button("Back Menu");
  SM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.pling @s');
      SupercellParticlesMenu(player);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.pling @s');
      TwisterParticlesMenu(player);
    }
  })
}
function SupercellParticlesMenu(player) {
  const SM = new ActionFormData();
  SM.title("Supercell Menu");
  SM.body("This menu allows you to display/show the different supercell layers!");
  SM.button("Supercell Top Layer");
  SM.button("Supercell Bottom Layer");
  SM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.pling @s');
      SupercellTop(player);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.pling @s');
      SupercellBottom(player);
    }
  })
}
function TwisterFunnels(player) {
  const F = new ModalFormData();
  F.title("Tornado Particles Menu");
  F.toggle("Show Funnel Cloud", true);
  F.dropdown("Tornado Types", ["F0", "F1", "F2", "F3"]);
  F.toggle("Apply for weak tornadoes", false);
  F.toggle("Apply for all tornadoes", false);
  F.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove Funnel0');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add Funnel0');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove Funnel1');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add Funnel1');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove Funnel2');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add Funnel2');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove Funnel3');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add Funnel3');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the F3 enabled: §l§aFalse"}]}`);
    }


    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DFunnel0');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the died-down F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DFunnel0');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the died-down F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DFunnel1');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the died-down F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DFunnel1');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the died-down F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DFunnel2');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the died-down F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DFunnel2');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the died-down F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DFunnel3');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the died-down F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DFunnel3');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for the died-down F3 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s remove Funnel');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for all strengthening tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s add Funnel');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for all strengthening tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true && finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s remove DFunnel');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for all weakening tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true && finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s add DFunnel');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Funnels for all weakening tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[3] == false && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s remove Funnel');
    }
    if (finish.formValues[3] == false && finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s remove DFunnel');
    }
  })
}
function TwisterDebrisClouds(player) {
  const DC = new ModalFormData();
  DC.title("Tornado Particles Menu");
  DC.toggle("Show Debris Cloud", true);
  DC.dropdown("Tornado Types", ["F0", "F1", "F2", "F3"]);
  DC.toggle("Apply for weak tornadoes", false);
  DC.toggle("Apply for all tornadoes", false);
  DC.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove Debris0');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add Debris0');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove Debris1');
      player.runCommand('execute aS @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add Debris1');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove Debris2');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add Debris2');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove Debris3');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add Debris3');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F3 enabled: §l§aFalse"}]}`);
    }


    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DDebris0');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DDebris0');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DDebris1');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DDebris1');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DDebris2');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DDebris2');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DDebris3');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DDebris3');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F3 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s remove Debris');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all strengthening tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s add Debris');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all strengthening tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true && finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s remove DDebris');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all weakening tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true && finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s add DDebris');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all weakening tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[3] == false && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s remove Debris');
    }
    if (finish.formValues[3] == false && finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s remove DDebris');
    }
  })
}
function SpoutDebrisClouds(player) {
  const DC = new ModalFormData();
  DC.title("Waterspout Particles Menu");
  DC.toggle("Show Debris Cloud", true);
  DC.dropdown("Spout Types", ["F0", "F1", "F2"]);
  DC.toggle("Apply for all waterspouts", false);
  DC.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s remove WDebris0');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s add WDebris0');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s remove WDebris1');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s add WDebris1');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s remove WDebris2');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s add WDebris2');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s remove WDebris');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all waterspouts enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s add WDebris');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all waterspouts enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove WDebris');
    }
  })
}
function SpoutFlatStormClouds(player) {
  const FSC = new ModalFormData();
  FSC.title("Waterspout Particles Menu");
  FSC.toggle("Show Flat Storm Clouds", true);
  FSC.dropdown("Spout Types", ["F0", "F1", "F2"]);
  FSC.toggle("Apply for all waterspouts", false);
  FSC.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s remove WFSClouds0');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s add WFSClouds0');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s remove WFSClouds1');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s add WFSClouds1');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s remove WFSClouds2');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s add WFSClouds2');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s remove WFSClouds');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[2] == true) {
      player.runCommand('execute @s run tag @s add WFSClouds');
      player.runCommand('execute @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s remove WFSClouds');
    }
  })
}
function TwisterSupercellTop(player) {
  const SCT = new ModalFormData();
  SCT.title("Tornado Particles Menu");
  SCT.toggle("Show Top Layer Supercell", true);
  SCT.dropdown("Tornado Types", ["F0", "F1", "F2", "F3"]);
  SCT.toggle("Apply for weak tornadoes", false);
  SCT.toggle("Apply for all tornadoes", false);
  SCT.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove TSupercell0');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add TSupercell0');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove TSupercell1');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add TSupercell1');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove TSupercell2');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add TSupercell2');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove TSupercell3');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add TSupercell3');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the F3 enabled: §l§aFalse"}]}`);
    }


    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DTSupercell0');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the died-down F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DTSupercell0');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the died-down F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DTSupercell1');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the died-down F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DTSupercell1');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the died-down F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DTSupercell2');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the died-down F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DTSupercell2');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the died-down F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DTSupercell3');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the died-down F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DTSupercell3');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for the died-down F3 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s remove TSupercell');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for all strengthening tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s add TSupercell');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for all strengthening tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true && finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s remove DTSupercell');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for all strengthening tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true && finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s add DTSupercell');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell top layer for all strengthening tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[3] == false && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s remove TSupercell');
    }
    if (finish.formValues[3] == false && finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s remove DTSupercell');
    }
  })
}
function TwisterSupercellBottom(player) {
  const SCB = new ModalFormData();
  SCB.title("Tornado Particles Menu");
  SCB.toggle("Show Bottom Layer Supercell", true);
  SCB.dropdown("Tornado Types", ["F0", "F1", "F2", "F3"]);
  SCB.toggle("Apply for weak tornadoes", false);
  SCB.toggle("Apply for all tornadoes", false);
  SCB.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove BSupercell0');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add BSupercell0');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove BSupercell1');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add BSupercell1');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove BSupercell2');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer bottom layer for the F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add BSupercell2');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove BSupercell3');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add BSupercell3');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the F3 enabled: §l§aFalse"}]}`);
    }


    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DBSupercell0');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the died-down F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DBSupercell0');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the died-down F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DBSupercell1');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the died-down F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DBSupercell1');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the died-down F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DBSupercell2');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the died-down F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DBSupercell2');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the died-down F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DBSupercell3');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the died-down F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DBSupercell3');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for the died-down F3 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s remove BSupercell');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for all strengthening tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s add BSupercell');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for all strengthening tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true && finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s remove DBSupercell');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for all weakening tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true && finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s add DBSupercell');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Supercell bottom layer for all weakening tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[3] == false && finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s remove BSupercell');
    }
    if (finish.formValues[3] == false && finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s remove DBSupercell');
    }
  })
}
function TwisterDirt(player) {
  const TD = new ModalFormData();
  TD.title("Tornado Particles Menu");
  TD.toggle("Show Dirt", true);
  TD.dropdown("Tornado Types", ["F0", "F1", "F2", "F3"]);
  TD.toggle("Apply for weak tornadoes", false);
  TD.toggle("Apply for all tornadoes", false);
  TD.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove Dirt0');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add Dirt0');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove Dirt1');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add Dirt1');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove Dirt2');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add Dirt2');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove Dirt3');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add Dirt3');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F3 enabled: §l§aFalse"}]}`);
    }


    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DDirt0');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DDirt0');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DDirt1');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DDirt1');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DDirt2');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DDirt2');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DDirt3');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DDirt3');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F3 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true) {
      player.runCommand('execute as @s run tag @s remove Dirt');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true) {
      player.runCommand('execute as @s run tag @s add Dirt');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove Dirt');
    }
  })
}
function TwisterFlatStormClouds(player) {
  const TD = new ModalFormData();
  TD.title("Tornado Particles Menu");
  TD.toggle("Show Flat Storm Clouds", true);
  TD.dropdown("Tornado Types", ["F0", "F1", "F2", "F3"]);
  TD.toggle("Apply for weak tornadoes", false);
  TD.toggle("Apply for all tornadoes", false);
  TD.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove FSClouds0');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add FSClouds0');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove FSClouds1');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add FSClouds1');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove FSClouds2');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add FSClouds2');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove FSClouds3');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == false && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add FSClouds3');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Dirt for the F3 enabled: §l§aFalse"}]}`);
    }


    if (finish.formValues[0] == true && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DFSClouds0');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F0 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 0 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DFSClouds0');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F0 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DFSClouds1');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F1 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 1 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DFSClouds1');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F1 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DFSClouds2');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F2 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 2 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DFSClouds2');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F2 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove DFSClouds3');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F3 enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == 3 && finish.formValues[2] == true && finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add DFSClouds3');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for the died-down F3 enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[3] == true) {
      player.runCommand('execute as @s run tag @s remove FSClouds');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all tornadoes enabled: §l§aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[3] == true) {
      player.runCommand('execute as @s run tag @s add FSClouds');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Debris clouds for all tornadoes enabled: §l§aFalse"}]}`);
    }

    if (finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s remove FSClouds');
    }
  })
}
function SupercellTop(player) {
  const ST = new ModalFormData();
  ST.title("Supercell Particles Menu");
  ST.toggle("Show Top Layer Supercell", true);
  ST.toggle("Apply for weak supercells", false);
  ST.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == false) {
      player.runCommand('execute as @s run tag @s remove STSupercell');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow top layer for strengthening supercells enabled: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == false) {
      player.runCommand('execute as @s run tag @s add STSupercell');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow top layer for strengthening supercells enabled: §aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == true) {
      player.runCommand('execute as @s run tag @s remove SDTSupercell');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow top layer for weakening supercells enabled: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == true) {
      player.runCommand('execute as @s run tag @s add SDTSupercell');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow top layer for weakening supercells enabled: §aFalse"}]}`);
    }
  })
}
function SupercellBottom(player) {
  const SB = new ModalFormData();
  SB.title("Supercell Particles Menu");
  SB.toggle("Show Bottom Layer Supercell", true);
  SB.toggle("Apply for weak supercells", false);
  SB.show(player).then(finish => {
    if (finish.formValues[0] == true && finish.formValues[1] == false) {
      player.runCommand('execute as @s run tag @s remove SBSupercell');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow bottom layer for strengthening supercells enabled: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == false) {
      player.runCommand('execute as @s run tag @s add SBSupercell');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow bottom layer for strengthening supercells enabled: §aFalse"}]}`);
    }

    if (finish.formValues[0] == true && finish.formValues[1] == true) {
      player.runCommand('execute as @s run tag @s remove SDBSupercell');
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow bottom layer for weakening supercells enabled: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false && finish.formValues[1] == true) {
      player.runCommand('execute as @s run tag @s add SDBSupercell');
      player.runCommand('execute as @s run playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow bottom layer for weakening supercells enabled: §aFalse"}]}`);
    }
  })
}
function SettingsMenu(player) {
  const SM = new ActionFormData();
  SM.title("Settings Menu");
  SM.body("This menu allows you to change smaller additions to the addon, that are less important!");
  SM.button("Sounds");
  SM.button("§cBlocks");
  SM.button("Back Menu");
  SM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.pling @s');
      SoundsMenu(player);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cSorry ${player.nameTag}, but this menu is currently unavailable!"}]}`);
    }
    if (finish.selection == 2) {
      player.runCommand('playsound note.pling @s');
      WeatherMenu(player);
    }
  })
}
function SoundsMenu(player) {
  const SM = new ActionFormData();
  SM.title("Sounds Menu");
  SM.body("This menu allows you to mess with all of the different sounds from the tornado addon!");
  SM.button("Tornadoes");
  SM.button("§cSiren");
  SM.button("Back Tab");
  SM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.pling @s');
      TornadoSounds(player);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cSorry ${player.nameTag}, but this menu is currently unavailable!"}]}`);
    }
    if (finish.selection == 2) {
      player.runCommand('playsound note.pling @s');
      SettingsMenu(player);
    }
  })
}
function TornadoSounds(player) {
  const TS = new ActionFormData();
  TS.title("Tornado Sounds Menu");
  TS.body("This menu allows you to experiment with all of the different sounds for the tornadoes!");
  TS.button("§cSounds");
  TS.button("Samples");
  TS.button("Back Tab");
  TS.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cSorry ${player.nameTag}, but this menu is currently unavailable!"}]}`);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.pling @s');
      TornadoSoundsSamples(player);
    }
    if (finish.selection == 2) {
      player.runCommand('playsound note.pling @s');
      SoundsMenu(player);
    }
  })
}
function TornadoSoundsSamples(player) {
  const TSE = new ActionFormData();
  TSE.title("Tornado Sounds Menu - Samples");
  TSE.body("Play the different sounds, that the tornadoes can play around you!");
  TSE.button("Wind-Close");
  TSE.button("Wind-Far");
  TSE.button("Wind-Roar");
  TSE.button("Debris");
  TSE.button("Died-Down Debris");
  TSE.button("Back Tab");
  TSE.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('stopsound @s wind_in');
      player.runCommand('stopsound @s wind_far');
      player.runCommand('stopsound @s wind_roar');
      player.runCommand('stopsound @s gd');
      player.runCommand('stopsound @s dd_gd');
      player.runCommand('playsound wind_in @s');
      TornadoSoundsSamples(player);
    }
    if (finish.selection == 1) {
      player.runCommand('stopsound @s wind_in');
      player.runCommand('stopsound @s wind_far');
      player.runCommand('stopsound @s wind_roar');
      player.runCommand('stopsound @s gd');
      player.runCommand('stopsound @s dd_gd');
      player.runCommand('playsound wind_far @s');
      TornadoSoundsSamples(player);
    }
    if (finish.selection == 2) {
      player.runCommand('stopsound @s wind_in');
      player.runCommand('stopsound @s wind_far');
      player.runCommand('stopsound @s wind_roar');
      player.runCommand('stopsound @s gd');
      player.runCommand('stopsound @s dd_gd');
      player.runCommand('playsound wind_roar @s');
      TornadoSoundsSamples(player);
    }
    if (finish.selection == 3) {
      player.runCommand('stopsound @s wind_in');
      player.runCommand('stopsound @s wind_far');
      player.runCommand('stopsound @s wind_roar');
      player.runCommand('stopsound @s gd');
      player.runCommand('stopsound @s dd_gd');
      player.runCommand('playsound gd @s');
      TornadoSoundsSamples(player);
    }
    if (finish.selection == 4) {
      player.runCommand('stopsound @s wind_in');
      player.runCommand('stopsound @s wind_far');
      player.runCommand('stopsound @s wind_roar');
      player.runCommand('stopsound @s gd');
      player.runCommand('stopsound @s dd_gd');
      player.runCommand('playsound dd_gd @s');
      TornadoSoundsSamples(player);
    }
    if (finish.selection == 5) {
      player.runCommand('playsound note.pling @s');
      SoundsMenu(player);
    }
  })
}
function SirenSounds(player) {
  const SS = new ActionFormData();
  SS.title("Siren Sounds Menu");
  SS.body("This menu allows you to change the volume of the tornado siren!");
  SS.button("Volume");
  SS.button("Samples");
  SS.button("Back Tab");
  SS.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.bass @s');
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.pling @s');
      SirenSoundsSamples(player)
    }
    if (finish.selection == 2) {
      player.runCommand('playsound note.pling @s');
      SoundsMenu(player);
    }
  })
}
function SirenSoundsSamples(player) {
  const SSS = new ActionFormData();
  SSS.title("Siren Sounds Menu - Samples");
  SSS.body("Play the different sounds, of the tornado siren!");
  SSS.button("Siren - §7100");
  SSS.button("Siren - §775");
  SSS.button("Siren - §750");
  SSS.button("Siren - §725");
  SSS.button("Back Tab");
  SSS.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.pling @s');
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.pling @s');
      SirenSoundsSamples(player)
    }
    if (finish.selection == 2) {
      player.runCommand('playsound note.pling @s');
      SoundsMenu(player);
    }
  })
}
function BlocksMenu(player) {
  const BM = new ActionFormData();
  BM.title("Blocks Menu");
  BM.body("This menu allows you to change custom blocks or block-entities for the addon!");
  BM.button("Blocks");
  BM.button("Block-Entities");
  BM.button("Back Menu");
  BM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cSorry ${player.nameTag}, but this menu is currently unavailable!"}]}`);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.bass @s');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cSorry ${player.nameTag}, but this menu is currently unavailable!"}]}`);
    }
    if (finish.selection == 2) {
      player.runCommand('playsound note.pling @s');
      SettingsMenu(player);
    }
  })
}
function BlocksMenuBlocks(player) {
  const BMB = new ActionFormData();
  BMB.title("Blocks Menu - Blocks");
  BMB.body("This menu allows you to change the custom blocks for the addon!");
  BMB.button("Siren");
  BMB.button("Radar");
  BMB.button("Back Menu");
  BMB.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.pling @s');
      BlocksMenuSiren(player);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.pling @s');
      BlocksMenuRadar(player);
    }
    if (finish.selection == 2) {
      player.runCommand('playsound note.pling @s');
      BlocksMenu(player);
    }
  })
}
function ExperimentalMenu(player) {
  if (player.hasTag("Selector")) {
    const EM = new ActionFormData();
    EM.title("Experimental Menu");
    EM.body("This menu is for you to customize the storms/features, to be how you want them to be!");
    EM.button("Twisters");
    EM.button("Firenadoes");
    EM.button("WaterSpouts");
    EM.button("General Toggles");
    EM.button("Back Menu");
    EM.show(player).then(finish => {
      if (finish.selection == 0) {
        player.runCommand('playsound note.pling @s');
        TwisterExperimentalMenu(player);
      }
      if (finish.selection == 1) {
        player.runCommand('playsound note.pling @s');
        FirenadoExperimentalToggles(player);
      }
      if (finish.selection == 2) {
        player.runCommand('playsound note.pling @s');
        SpoutExperimentalToggles(player);
      }
      if (finish.selection == 3) {
        player.runCommandAsync('playsound note.pling @s');
        GeneralExperimentalToggles(player);
      }
      if (finish.selection == 4) {
        player.runCommandAsync('playsound note.pling @s');
        WeatherMenu(player);
      }
    })
  }
  if (!player.hasTag("Selector")) {
    const EM = new ActionFormData();
    EM.title("Experimental Menu");
    EM.body("This menu is for you to customize the storms/features, to be how you want them to be!");
    EM.button("Twisters");
    EM.button("Back Menu");
    EM.show(player).then(finish => {
      if (finish.selection == 0) {
        player.runCommand('playsound note.pling @s');
        TwisterExperimentalMenu(player);
      }
      if (finish.selection == 1) {
        player.runCommandAsync('playsound note.pling @s');
        WeatherMenu(player);
      }
    })
  }
}
function TwisterExperimentalMenu(player) {
  if (player.hasTag("Selector")) {
    const TEM = new ActionFormData();
    TEM.title("Tornado Experimental Menu");
    TEM.body("This menu allows you to change different factors about the tornadoes!");
    TEM.button("Flying Menu - entities");
    TEM.button("Dragging Menu - entities");
    TEM.button("Flying Menu - player");
    TEM.button("Dragging Menu - player");
    TEM.button("§cLaunching Menu");
    TEM.button("Direction Menu");
    TEM.button("Destruction Menu");
    TEM.button("Toggles");
    TEM.button("Spawn Menu");
    TEM.button("Back Menu");
    TEM.show(player).then(finish => {
      if (finish.selection == 0) {
        player.runCommand('playsound note.pling @s');
        TwisterMobFlyingMenu(player);
      }
      if (finish.selection == 1) {
        player.runCommand('playsound note.pling @s');
        TwisterMobDraggingMenu(player);
      }
      if (finish.selection == 2) {
        player.runCommand('playsound note.pling @s');
        TwisterPlayerFlyingMenu(player);
      }
      if (finish.selection == 3) {
        player.runCommand('playsound note.pling @s');
        TwisterPlayerDraggingMenu(player);
      }
      if (finish.selection == 4) {
        player.runCommand('playsound note.bass @s');
        player.runCommand(`tellraw @s {"rawtext":[{"text":"§cSorry ${player.nameTag}, but this menu is currently unavailable!"}]}`);
      }
      if (finish.selection == 5) {
        player.runCommand('playsound note.pling @s');
        TwisterDirectionMenu(player);
      }
      if (finish.selection == 6) {
        player.runCommand('playsound note.pling @s');
        TwisterDestructionMenu(player);
      }
      if (finish.selection == 7) {
        player.runCommand('playsound note.pling @s');
        TwisterExperimentalToggles(player);
      }
      if (finish.selection == 8) {
        player.runCommand('playsound note.pling @s');
        ExperimentalMenu(player);
      }
    })
  }
  if (!player.hasTag("Selector")) {
    if (player.hasTag("Operator")) {
      const TEM = new ActionFormData();
      TEM.title("Tornado Experimental Menu");
      TEM.body("This menu allows you to change different factors about the tornadoes!");
      TEM.button(`Flying Menu - ${player.name}`);
      TEM.button(`Dragging Menu - ${player.name}`);
      TEM.button("§cLaunching Menu");
      TEM.button("Spawn Menu");
      TEM.button("Back Menu");
      TEM.show(player).then(finish => {
        if (finish.selection == 0) {
          player.runCommand('playsound note.pling @s');
          TwisterPlayerFlyingMenuSelf(player);
        }
        if (finish.selection == 1) {
          player.runCommand('playsound note.pling @s');
          TwisterPlayerDraggingMenuSelf(player);
        }
        if (finish.selection == 2) {
          player.runCommand('playsound note.bass @s');
          player.runCommand(`tellraw @s {"rawtext":[{"text":"§cSorry ${player.nameTag}, but this menu is currently unavailable!"}]}`);
        }
        if (finish.selection == 3) {
          player.runCommand('playsound note.pling @s');
          TornadoItem(player);
        }
        if (finish.selection == 4) {
          player.runCommand('playsound note.pling @s');
          ExperimentalMenu(player);
        }
      })
    }
    if (!player.hasTag("Operator")) {
      const TEM = new ActionFormData();
      TEM.title("Tornado Experimental Menu");
      TEM.body("This menu allows you to change different factors about the tornadoes!");
      TEM.button(`Flying Menu - ${player.name}`);
      TEM.button(`Dragging Menu - ${player.name}`);
      TEM.button("§cLaunching Menu");
      TEM.button("Back Menu");
      TEM.show(player).then(finish => {
        if (finish.selection == 0) {
          player.runCommand('playsound note.pling @s');
          TwisterPlayerFlyingMenuSelf(player);
        }
        if (finish.selection == 1) {
          player.runCommand('playsound note.pling @s');
          TwisterPlayerDraggingMenuSelf(player);
        }
        if (finish.selection == 2) {
          player.runCommand('playsound note.bass @s');
          player.runCommand(`tellraw @s {"rawtext":[{"text":"§cSorry ${player.nameTag}, but this menu is currently unavailable!"}]}`);
        }
        if (finish.selection == 3) {
          player.runCommand('playsound note.pling @s');
          ExperimentalMenu(player);
        }
      })
    }
  }
}
function TwisterMobFlyingMenu(player) {
  const FM = new ActionFormData();
  FM.title("Tornado Flying Menu");
  FM.body("This menu allows you to change what mobs can be picked up by the tornado!");
  FM.button("Vanilla Mobs");
  FM.button("Back Menu");
  FM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.pling @s');
      TwisterMobVanillaFlyingMenu(player);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.pling @s');
      TwisterExperimentalMenu(player);
    }
  })
}
function TwisterMobVanillaFlyingMenu(player) {
  const VFM = new ModalFormData();
  VFM.title("Tornado Flying Menu - Vanilla Mobs");
  VFM.toggle("Neutral mobs can be picked up by tornado", true);
  VFM.toggle("Hostile mobs can be picked up by tornado", true);
  VFM.show(player).then(finish => {
    if (finish.formValues[0] == true) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s remove NeutralMobsAir');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Neutral Mobs to be picked up by tornadoes: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s add NeutralMobsAir');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Neutral Mobs to be picked up by tornadoes: §aFalse"}]}`);
    }
    if (finish.formValues[1] == true) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s remove HostileMobsAir');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Hostile Mobs to be picked up by tornadoes: §aTrue"}]}`);
    }
    if (finish.formValues[1] == false) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s add HostileMobsAir');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Hostile Mobs to be picked up by tornadoes: §aFalse"}]}`);
    }
  })
}

function TwisterMobDraggingMenu(player) {
  const DM = new ActionFormData();
  DM.title("Tornado Dragging Menu");
  DM.body("This menu allows you to change what mobs can be dragged up by the tornado!");
  DM.button("Vanilla Mobs");
  DM.button("Back Menu");
  DM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.pling @s');
      TwisterMobVanillaDraggingMenu(player);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.pling @s');
      TwisterExperimentalMenu(player);
    }
  })
}
function TwisterMobVanillaDraggingMenu(player) {
  const VDM = new ModalFormData();
  VDM.title("Tornado Dragging Menu - Vanilla Mobs");
  VDM.toggle("Neutral mobs can be dragged by tornado", true);
  VDM.toggle("Hostile mobs can be dragged by tornado", true);
  VDM.show(player).then(finish => {
    if (finish.formValues[0] == true) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s remove NeutralMobsDrag');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Neutral Mobs to be dragged by tornadoes: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s add NeutralMobsDrag');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Neutral Mobs to be dragged by tornadoes: §aFalse"}]}`);
    }
    if (finish.formValues[1] == true) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s remove HostileMobsDrag');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Hostile Mobs to be dragged by tornadoes: §aTrue"}]}`);
    }
    if (finish.formValues[1] == false) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s add HostileMobsDrag');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Hostile Mobs to be dragged by tornadoes: §aFalse"}]}`);
    }
  })
}

function TwisterPlayerFlyingMenu(player) {
  const PFM = new ActionFormData();
  PFM.title("Tornado Flying Menu - Player");
  PFM.body("This menu allows you to adjust the player, being able to be picked up by the tornadoes!");
  PFM.button(`Self - ${player.name}`);
  PFM.button("Server");
  PFM.button("Specific Player");
  PFM.button("Back Menu");
  PFM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.pling @s');
      TwisterPlayerFlyingMenuSelf(player);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.pling @s');
      TwisterPlayerFlyingMenuServer(player);
    }
    if (finish.selection == 2) {
      player.runCommand('playsound note.pling @s');
      TwisterPlayerFlyingMenuSpecific(player);
    }
    if (finish.selection == 3) {
      player.runCommand('playsound note.pling @s');
      TwisterExperimentalMenu(player);
    }
  })
}
function TwisterPlayerFlyingMenuSelf(player) {
  const VFM = new ModalFormData();
  VFM.title(`Tornado Flying Menu - ${player.name}`);
  VFM.toggle(`${player.name} can be picked up by tornado - survival`, true);
  VFM.toggle(`${player.name} can be picked up by tornado - creative`, false);
  VFM.show(player).then(finish => {
    if (finish.formValues[0] == true) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s remove PLS');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow ${player.name} to be picked up by tornadoes - survival: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s add PLS');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow ${player.name} to be picked up by tornadoes - survival: §aFalse"}]}`);
    }
    if (finish.formValues[1] == true) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s add PLC');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow ${player.name} to be picked up by tornadoes - creative: §aTrue"}]}`);
    }
    if (finish.formValues[1] == false) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s remove PLC');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow ${player.name} to be picked up by tornadoes - creative: §aFalse"}]}`);
    }
  })
}
function TwisterPlayerFlyingMenuServer(player) {
  const VFM = new ModalFormData();
  VFM.title(`Tornado Flying Menu - server`);
  VFM.toggle(`server can be picked up by tornado - survival`, true);
  VFM.toggle(`server can be picked up by tornado - creative`, false);
  VFM.show(player).then(finish => {
    if (finish.formValues[0] == true) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s remove PLSS');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow server to be picked up by tornadoes - survival: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s add PLSS');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow server to be picked up by tornadoes - survival: §aFalse"}]}`);
    }
    if (finish.formValues[1] == true) {
      player.runCommandAsync('playsound note.pling @s');
      player.runCommandAsync('execute as @s run tag @s add PLCS');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow server to be picked up by tornadoes - creative: §aTrue"}]}`);
    }
    if (finish.formValues[1] == false) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s remove PLCS');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow server to be picked up by tornadoes - creative: §aFalse"}]}`);
    }
  })
}
function TwisterPlayerFlyingMenuSpecific(player) {
  const players = Array.from(world.getPlayers());
  const playerList = []

  for (let i = 0; i < players.length; i++) {
    if (players[i].nameTag.startsWith('"') && players[i].nameTag.endsWith('"')) return;
    playerList[i] = players[i].nameTag;
  }

  const VFM = new ModalFormData();
  VFM.title('Tornado Flying Menu - specific');
  VFM.dropdown("Player List:", playerList, 0);
  VFM.toggle('can be picked up by tornado - survival', true);
  VFM.toggle('can be picked up by tornado - creative', false);
  VFM.show(player).then(finish => {
    if (finish.formValues[0] == playerList && finish.formValues[1] == true) {
      player.runCommand('playsound note.pling @s');
      player.runCommand(`execute as @s run tag ${playerList[finish.formValues[0]]} remove PLS`);
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow ${playerList[finish.formValues[0]]} to be picked up by tornadoes - survival: §aTrue"}]}`);
    }
    if (finish.formValues[0] == playerList && finish.formValues[1] == false) {
      player.runCommand('playsound note.pling @s');
      player.runCommand(`execute as @s run tag ${playerList[finish.formValues[0]]} add PLS`);
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow ${playerList[finish.formValues[0]]} to be picked up by tornadoes - survival: §aFalse"}]}`);
    }
    if (finish.formValues[0] == playerList && finish.formValues[2] == true) {
      player.runCommand('playsound note.pling @s');
      player.runCommand(`execute as @s run tag ${playerList[finish.formValues[0]]} add PLC`);
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow ${playerList[finish.formValues[0]]} to be picked up by tornadoes - creative: §aTrue"}]}`);
    }
    if (finish.formValues[0] == playerList && finish.formValues[2] == false) {
      player.runCommand('playsound note.pling @s');
      player.runCommand(`execute as @s run tag ${playerList[finish.formValues[0]]} remove PLC`);
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow ${playerList[finish.formValues[0]]} to be picked up by tornadoes - creative: §aFalse"}]}`);
    }
  })
}
function TwisterPlayerDraggingMenu(player) {
  const PFM = new ActionFormData();
  PFM.title("Tornado Dragging Menu - Player");
  PFM.body("This menu allows you to adjust the player, being able to be dragged by the tornadoes!");
  PFM.button(`Self - ${player.name}`);
  PFM.button("Server");
  PFM.button("Specific Player");
  PFM.button("Back Menu");
  PFM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('playsound note.pling @s');
      TwisterPlayerDraggingMenuSelf(player);
    }
    if (finish.selection == 1) {
      player.runCommand('playsound note.pling @s');
      TwisterPlayerDraggingMenuServer(player);
    }
    if (finish.selection == 2) {
      player.runCommand('playsound note.pling @s');
      TwisterPlayerDraggingMenuSpecific(player);
    }
    if (finish.selection == 3) {
      player.runCommand('playsound note.pling @s');
      TwisterExperimentalMenu(player);
    }
  })
}
function TwisterPlayerDraggingMenuSelf(player) {
  const VFM = new ModalFormData();
  VFM.title(`Tornado Dragging Menu - ${player.name}`);
  VFM.toggle(`${player.name} can be dragged by tornado - survival`, true);
  VFM.toggle(`${player.name} can be dragged by tornado - creative`, false);
  VFM.show(player).then(finish => {
    if (finish.formValues[0] == true) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s remove PDS');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow ${player.name} to be dragged by tornadoes - survival: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s add PDS');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow ${player.name} to be dragged by tornadoes - survival: §aFalse"}]}`);
    }
    if (finish.formValues[1] == true) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s add PDC');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow ${player.name} to be dragged by tornadoes - creative: §aTrue"}]}`);
    }
    if (finish.formValues[1] == false) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s remove PDC');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow ${player.name} to be dragged by tornadoes - creative: §aFalse"}]}`);
    }
  })
}
function TwisterPlayerDraggingMenuServer(player) {
  const VFM = new ModalFormData();
  VFM.title(`Tornado Dragging Menu - server`);
  VFM.toggle(`server can be dragged by tornado - survival`, true);
  VFM.toggle(`server can be dragged by tornado - creative`, false);
  VFM.show(player).then(finish => {
    if (finish.formValues[0] == true) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s remove PDSS');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow server to be dragged by tornadoes - survival: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s add PDSS');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow server to be dragged by tornadoes - survival: §aFalse"}]}`);
    }
    if (finish.formValues[1] == true) {
      player.runCommandAsync('playsound note.pling @s');
      player.runCommandAsync('execute as @s run tag @s add PDCS');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cAllow server to be dragged by tornadoes - creative: §aTrue"}]}`);
    }
    if (finish.formValues[1] == false) {
      player.runCommand('playsound note.pling @s');
      player.runCommand('execute as @s run tag @s remove PDCS');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow server to be dragged by tornadoes - creative: §aFalse"}]}`);
    }
  })
}
function TwisterPlayerDraggingMenuSpecific(player) {
  const players = Array.from(world.getPlayers());
  const playerList = []

  for (let i = 0; i < players.length; i++) {
    if (players[i].nameTag.startsWith('"') && players[i].nameTag.endsWith('"')) return;
    playerList[i] = players[i].nameTag;
  }

  const VFM = new ModalFormData();
  VFM.title('Tornado Dragging Menu - specific');
  VFM.dropdown("Player List:", playerList, 0);
  VFM.toggle('can be dragged by tornado - survival', true);
  VFM.toggle('can be dragged by tornado - creative', false);
  VFM.show(player).then(finish => {
    if (finish.formValues[0] == playerList && finish.formValues[1] == true) {
      player.runCommand('playsound note.pling @s');
      player.runCommand(`execute as @s run tag ${playerList[finish.formValues[0]]} remove PDS`);
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow ${playerList[finish.formValues[0]]} to be dragged by tornadoes - survival: §aTrue"}]}`);
    }
    if (finish.formValues[0] == playerList && finish.formValues[1] == false) {
      player.runCommand('playsound note.pling @s');
      player.runCommand(`execute as @s run tag ${playerList[finish.formValues[0]]} add PDS`);
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow ${playerList[finish.formValues[0]]} to be dragged by tornadoes - survival: §aFalse"}]}`);
    }
    if (finish.formValues[0] == playerList && finish.formValues[2] == true) {
      player.runCommand('playsound note.pling @s');
      player.runCommand(`execute as @s run tag ${playerList[finish.formValues[0]]} add PDC`);
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow ${playerList[finish.formValues[0]]} to be dragged by tornadoes - creative: §aTrue"}]}`);
    }
    if (finish.formValues[0] == playerList && finish.formValues[2] == false) {
      player.runCommand('playsound note.pling @s');
      player.runCommand(`execute as @s run tag ${playerList[finish.formValues[0]]} remove PDC`);
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow ${playerList[finish.formValues[0]]} to be dragged by tornadoes - creative: §aFalse"}]}`);
    }
  })
}

function TwisterExperimentalToggles(player) {
  const TET = new ModalFormData();
  TET.title("Experimental Toggles Menu");
  TET.toggle("Allow Tornadoes", true);
  TET.toggle("Allow Tornadoes to stop rendering at 350+ blocks away §7- closest player", true);
  TET.toggle("Allow Tornadoes to change debris clouds", true);
  TET.slider("Tornado spawn chance", 25, 100, 25, 100);
  TET.slider("§cTornado progression chance", 25, 100, 25, 100);
  TET.toggle("§cAllow Naturally Spawned Tornadoes", true);
  TET.toggle("§cAllow Player Spawned Tornadoes", true);
  TET.toggle("§cAllow Tornadoes to travel up structures", true);
  TET.toggle("§cAllow Tornadoes to travel down structures", true);
  TET.toggle("Allow Tornadoes §7- overworld", true);
  TET.toggle("Allow Tornadoes §7- nether", true);
  TET.toggle("Allow Tornadoes §7- end", true);
  TET.show(player).then(finish => {
    if (finish.formValues[0] == true) {
      player.runCommand('execute as @s run tag @s remove NoTN');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Tornadoes: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false) {
      player.runCommand('execute as @s run tag @s add NoTN');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Tornadoes: False"}]}`);
    }
    if (finish.formValues[1] == true) {
      player.runCommand('execute as @s run tag @s remove NoRTN');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes stop rendering: §aTrue"}]}`);
    }
    if (finish.formValues[1] == false) {
      player.runCommand('execute as @s run tag @s add NoRTN');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes stop rendering: §aFalse"}]}`);
    }

    if (finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s remove NoDCS');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes to switch debris clouds: §aTrue"}]}`);
    }
    if (finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s add NoDCS');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes to switch debris clouds: §aFalse"}]}`);
    }

    if (finish.formValues[3] == true) {
      player.runCommand('execute as @s run tag @s remove NoSCP');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow storms to progress through stages: §aTrue"}]}`);
    }
    if (finish.formValues[3] == false) {
      player.runCommand('execute as @s run tag @s add NoSCP');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow storms to progress through stages: §aFalse"}]}`);
    }

    if (finish.formValues[4] == 100) {
      player.runCommand('execute as @s run tag @s remove TSC1');
      player.runCommand('execute as @s run tag @s remove TSC2');
      player.runCommand('execute as @s run tag @s remove TSC3');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cTornado spawn chance set to: §a100"}]}`);
    }
    if (finish.formValues[4] == 75) {
      player.runCommand('execute as @s run tag @s add TSC1');
      player.runCommand('execute as @s run tag @s remove TSC2');
      player.runCommand('execute as @s run tag @s remove TSC3');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cTornado spawn chance set to: §a75"}]}`);
    }
    if (finish.formValues[4] == 50) {
      player.runCommand('execute as @s run tag @s add TSC2');
      player.runCommand('execute as @s run tag @s remove TSC1');
      player.runCommand('execute as @s run tag @s remove TSC3');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cTornado spawn chance set to: §a50"}]}`);
    }
    if (finish.formValues[4] == 25) {
      player.runCommand('execute as @s run tag @s add TSC3');
      player.runCommand('execute as @s run tag @s remove TSC1');
      player.runCommand('execute as @s run tag @s remove TSC2');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cTornado spawn chance set to: §a25"}]}`);
    }

    if (finish.formValues[5] == 100) {
      player.runCommand('execute as @s run tag @s remove TPC1');
      player.runCommand('execute as @s run tag @s remove TPC2');
      player.runCommand('execute as @s run tag @s remove TPC3');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cTornado progression chance set to: §a100"}]}`);
    }
    if (finish.formValues[5] == 75) {
      player.runCommand('execute as @s run tag @s add TPC1');
      player.runCommand('execute as @s run tag @s remove TPC2');
      player.runCommand('execute as @s run tag @s remove TPC3');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cTornado progression chance set to: §a75"}]}`);
    }
    if (finish.formValues[5] == 50) {
      player.runCommand('execute as @s run tag @s add TPC2');
      player.runCommand('execute as @s run tag @s remove TPC1');
      player.runCommand('execute as @s run tag @s remove TPC3');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cTornado progression chance set to: §a50"}]}`);
    }
    if (finish.formValues[5] == 25) {
      player.runCommand('execute as @s run tag @s add TPC3');
      player.runCommand('execute as @s run tag @s remove TPC1');
      player.runCommand('execute as @s run tag @s remove TPC2');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cTornado progression chance set to: §a25"}]}`);
    }

    if (finish.formValues[6] == true) {
      player.runCommand('execute as @s run tag @s remove NoTNO');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes in the overworld: §aTrue"}]}`);
    }
    if (finish.formValues[6] == false) {
      player.runCommand('execute as @s run tag @s add NoTNO');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes in the overworld: §aFalse"}]}`);
    }

    if (finish.formValues[7] == true) {
      player.runCommand('execute as @s run tag @s remove NoTNO');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes in the overworld: §aTrue"}]}`);
    }
    if (finish.formValues[7] == false) {
      player.runCommand('execute as @s run tag @s add NoTNO');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes in the overworld: §aFalse"}]}`);
    }

    if (finish.formValues[8] == true) {
      player.runCommand('execute as @s run tag @s remove NoTNN');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes in the nether: §aTrue"}]}`);
    }
    if (finish.formValues[8] == false) {
      player.runCommand('execute as @s run tag @s add NoTNN');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes in the nether: §aFalse"}]}`);
    }

    if (finish.formValues[9] == true) {
      player.runCommand('execute as @s run tag @s remove NoTNE');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes in the end: §aTrue"}]}`);
    }
    if (finish.formValues[9] == false) {
      player.runCommand('execute as @s run tag @s add NoTNE');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow tornadoes in the end: §aFalse"}]}`);
    }
    player.runCommand('playsound block.beehive.exit @s');
  })
}
function FirenadoExperimentalToggles(player) {
  const FET = new ModalFormData();
  FET.title("Experimental Toggles Menu");
  FET.toggle("Allow Firenadoes", true);
  FET.toggle("Allow Firenadoes §7- Player Fire Damage", true);
  FET.toggle("Allow Decoy Fire §7- Player Fire Damage", true);
  FET.toggle("Allow Firenadoes to spawn Decoy Fire", true);
  FET.toggle("Allow Firenadoes §7- fire trail", true);
  FET.toggle("Allow Firenadoes to set structures on fire", true);
  FET.show(player).then(finish => {
    if (finish.formValues[0] == true) {
      player.runCommand('execute as @s run tag @s remove NoFN');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow firenadoes: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false) {
      player.runCommand('execute as @s run tag @s add NoFN');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow firenadoes: §aFalse"}]}`);
    }

    if (finish.formValues[1] == true) {
      player.runCommand('execute as @s run tag @s remove NoFNPD');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow firenadoes to do fire damage: §aTrue"}]}`);
    }
    if (finish.formValues[1] == false) {
      player.runCommand('execute as @s run tag @s add NoFNPD');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow firenadoes to do fire damage: §aFalse"}]}`);
    }

    if (finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s remove NoDFPD');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow firenadoes to do entity fire damage: §aTrue"}]}`);
    }
    if (finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s add NoDFPD');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow firenadoes to do entity fire damage: §aFalse"}]}`);
    }
    player.runCommand('playsound block.beehive.exit @s');
  })
}
function SpoutExperimentalToggles(player) {
  const SET = new ModalFormData();
  SET.title("Experimental Toggles Menu");
  SET.toggle("Allow Waterspouts", true);
  SET.toggle("Allow Waterspouts on land", false);
  SET.toggle("Allow Waterspouts on water", true);
  SET.toggle("§cAllow Naturally Spawned Waterspouts", true);
  SET.toggle("§cAllow Player Spawned Waterspouts", true);
  SET.show(player).then(finish => {
    if (finish.formValues[0] == true) {
      player.runCommand('execute as @s run tag @s remove NoWS');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Waterspouts: §aTrue"}]}`);
    }
    if (finish.formValues[0] == false) {
      player.runCommand('execute as @s run tag @s add NoWS');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Waterspouts: §aFalse"}]}`);
    }
    player.runCommand('playsound block.beehive.exit @s');
  })
}
function GeneralExperimentalToggles(player) {
  const GET = new ModalFormData();
  GET.title("Experimental Toggles Menu");
  GET.toggle("§cAllow Siren Blairs", true);
  GET.toggle("Allow Credits Screen", true);
  GET.toggle("Storms can progress stages", true);
  GET.slider("§cStorm spawn chance", 25, 100, 25);
  GET.toggle("Allow Start UI", true);
  GET.show(player).then(finish => {
    if (finish.formValues[0] == true) {
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Siren Blairs: §aTrue §r§cCurrently Has No Function..."}]}`);
    }
    if (finish.formValues[0] == false) {
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Siren Blairs: §aFalse §r§cCurrently Has No Function..."}]}`);
    }

    if (finish.formValues[1] == true) {
      player.runCommand('execute as @s run tag @s remove NoSM');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Credits Screen: §a§aTrue"}]}`);
    }
    if (finish.formValues[1] == false) {
      player.runCommand('execute as @s run tag @s add NoSM');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow Credits Screen: §aFalse"}]}`);
    }
    if (finish.formValues[2] == true) {
      player.runCommand('execute as @s run tag @s remove NoSCP');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow storms to progress through stages: §aTrue"}]}`);
    }
    if (finish.formValues[2] == false) {
      player.runCommand('execute as @s run tag @s add NoSCP');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow storms to progress through stages: §aFalse"}]}`);
    }

    if (finish.formValues[3] == 100) {
      player.runCommand('execute as @s run tag @s remove TSC1');
      player.runCommand('execute as @s run tag @s remove TSC2');
      player.runCommand('execute as @s run tag @s remove TSC3');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cTornado spawn chance set to: §a100"}]}`);
    }
    if (finish.formValues[3] == 75) {
      player.runCommand('execute as @s run tag @s add TSC1');
      player.runCommand('execute as @s run tag @s remove TSC2');
      player.runCommand('execute as @s run tag @s remove TSC3');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cTornado spawn chance set to: §a75"}]}`);
    }
    if (finish.formValues[3] == 50) {
      player.runCommand('execute as @s run tag @s add TSC2');
      player.runCommand('execute as @s run tag @s remove TSC1');
      player.runCommand('execute as @s run tag @s remove TSC3');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cTornado spawn chance set to: §a50"}]}`);
    }
    if (finish.formValues[3] == 25) {
      player.runCommand('execute as @s run tag @s add TSC3');
      player.runCommand('execute as @s run tag @s remove TSC1');
      player.runCommand('execute as @s run tag @s remove TSC2');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cTornado spawn chance set to: §a25"}]}`);
    }
    if (finish.formValues[4] == true) {
      player.runCommand('execute as @s run tag @s remove NoStartUI');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow start UI: §aTrue"}]}`);
    }
    if (finish.formValues[4] == false) {
      player.runCommand('execute as @s run tag @s add NoStartUI');
      player.runCommand(`tellraw @s {"rawtext":[{"text":"§cAllow start UI: §aFalse"}]}`);
    }
    player.runCommand('playsound block.beehive.exit @s');
  })
}
function TransferMenu(player) {
  let data;
  let stored = world.scoreboard.getObjective("RequestData").getParticipants();

  let dataStored = []

  const TM = new ActionFormData();
  TM.title("Transfer Menu");
  for (data of stored) {
    TM.button(`${data.displayName}`);
    dataStored.push(data);
  }
  TM.show(player).then(finish => {
    if (!finish.canceled) {
      const TMC = new MessageFormData();
      TMC.title("Transfer Confirmation");
      TMC.body(`Do you want ${dataStored[finish.selection].displayName} to be the new owner?`);
      TMC.button1("Yes");
      TMC.button2("No");
      TMC.show(player).then(finalize => {
        if (finalize.selection == 0) {
          player.runCommand(`tellraw @s {"rawtext":[{"text":"§cYou just removed ${dataStored[finish.selection].displayName} from the request list!"}]}`);
          player.runCommand(`tellraw ${dataStored[finish.selection].displayName} {"rawtext":[{"text":"§c${player.name} has removed you from the request list!"}]}`);
          player.runCommand(`scoreboard players reset "${dataStored[finish.selection].displayName}" RequestData`);
          player.runCommand(`playsound mob.wither.break_block @s`);
        }
        if (finalize.selection == 1) {
          player.runCommand(`execute as ${dataStored[finish.selection].displayName} run execute as @s[tag=Selector,tag=!Lock] run tellraw @s {"rawtext":[{"text":"§cYou're already the owner ${dataStored[finish.selection].displayName}!"}]}`);
          player.runCommand(`execute as ${dataStored[finish.selection].displayName} run execute as @s[tag=!Selector] run tellraw @a[tag=Selector,tag=!Lock] {"rawtext":[{"text":"§aTransfer was successful ${dataStored[finish.selection].displayName} is now the owner!"}]}`);
          player.runCommand(`execute as ${dataStored[finish.selection].displayName} run tellraw @s[tag=!Selector] {"rawtext":[{"text":"§aYou're the new owner!"}]}`);
          player.runCommand(`execute as ${dataStored[finish.selection].displayName} run execute as @s[tag=Selector,tag=!Lock] run playsound note.bass @s`);
          player.runCommand(`execute as ${dataStored[finish.selection].displayName}} run execute as @s[tag=!Selector] run playsound block.beehive.exit @a[tag=Selector,tag=!Lock]`);
          player.runCommand(`execute as ${dataStored[finish.selection].displayName} run execute as @s[tag=!Selector] run tag @a[tag=Selector,tag=!Lock] remove Selector`);
          player.runCommand(`execute as ${dataStored[finish.selection].displayName} run tag @s[tag=Request,tag=!Selector] add Selector`);
          player.runCommand(`execute as ${dataStored[finish.selection].displayName} run tag @s[tag=Request] remove Lock`);
        }
      })
    }
  })
}
function TransferMenuOld(player) {
  const playersMenu = Array.from(world.getPlayers());
  const playerList = []

  for (let i = 0; i < playersMenu.length; i++) {
    if (!playersMenu[i].hasTag('Request') && playersMenu[i].nameTag.startsWith('"') && playersMenu[i].nameTag.endsWith('"')) return;
    playerList[i] = playersMenu[i].nameTag;
  }

  const TM = new ModalFormData();
  TM.title("Transfer Menu");
  TM.dropdown("Player List:", playerList, 0);
  TM.toggle("Give player temporarily access when not online", false);
  TM.show(player).then(finish => {
    if (finish.formValues[0] == playerList && finish.formValues[1] == false) {
      player.runCommand(`execute as ${playerList[finish.formValues[0]]} run execute as @s[tag=Selector,tag=!Lock] run tellraw @s {"rawtext":[{"text":"§cYou're already the owner ${playerList[finish.formValues[0]]}!"}]}`);
      player.runCommand(`execute as ${playerList[finish.formValues[0]]} run execute as @s[tag=!Request,tag=!Selector] run tellraw @a[tag=Selector,tag=!Lock] {"rawtext":[{"text":"§cUnable to transfer ownership, ${playerList[finish.formValues[0]]} did not make a request!"}]}`);
      player.runCommand(`execute as ${playerList[finish.formValues[0]]} run execute as @s[tag=Request,tag=!Selector] run tellraw @a[tag=Selector,tag=!Lock] {"rawtext":[{"text":"§aTransfer was successful!"}]}`);
      player.runCommand(`execute as ${playerList[finish.formValues[0]]} run tellraw @s[tag=Request,tag=!Selector] {"rawtext":[{"text":"§aYou're the new owner!"}]}`);
      player.runCommand(`execute as ${playerList[finish.formValues[0]]} run execute as @s[tag=Selector,tag=!Lock] run playsound note.bass @s`);
      player.runCommand(`execute as ${playerList[finish.formValues[0]]} run execute as @s[tag=!Request,tag=!Selector] run playsound note.bass @a[tag=Selector,tag=!Lock]`);
      player.runCommand(`execute as ${playerList[finish.formValues[0]]} run execute as @s[tag=Request,tag=!Selector] run playsound block.beehive.exit @a[tag=Selector,tag=!Lock]`);
      player.runCommand(`execute as ${playerList[finish.formValues[0]]} run execute as @s[tag=Request,tag=!Selector] run tag @a[tag=Selector,tag=!Lock] remove Selector`);
      player.runCommand(`execute as ${playerList[finish.formValues[0]]} run tag @s[tag=Request,tag=!Selector] add Selector`);
      player.runCommand(`execute as ${playerList[finish.formValues[0]]} run tag @s[tag=Request] remove Lock`);
      player.runCommand(`execute as ${playerList[finish.formValues[0]]} run tag @s[tag=Request] remove Request`);
    }

    if (finish.formValues[0] == playerList && finish.formValues[1] == true) {
      player.runCommand(`tellraw ${playerList[finish.formValues[0]]} {"rawtext":[{"text":"§6When the host leaves the world, you will gain temporarily permission!"}]}`);
      player.runCommand(`execute as @s run tag ${playerList[finish.formValues[0]]} add SelectUser`);
      player.runCommand(`execute as @s run tag ${playerList[finish.formValues[0]]} remove Request`);
      player.runCommand('playsound block.beehive.exit @s');
    }
  })
}
function PerformanceMenu(player) {
  const PM = new ActionFormData();
  PM.title("Performance Menu");
  PM.body("This menu is for changing the mode for the amount of particles that storms render in!")
  PM.button("Standard Performance - §7Default Particles");
  PM.button("Better Performance - §7Medium Particles");
  PM.button("Best Performance - §7Low Particles");
  PM.button("Back Menu");
  PM.show(player).then(finish => {
    if (finish.selection == 0) {
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand('execute as @s run tag @s remove Performance1');
      player.runCommand('execute as @s run tag @s remove Performance2');
    }
    if (finish.selection == 1) {
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand('execute as @s run tag @s add Performance1');
      player.runCommand('execute as @s run tag @s remove Performance2');
    }
    if (finish.selection == 2) {
      player.runCommand('execute as @s run playsound note.pling @s');
      player.runCommand('execute as @s run tag @s add Performance2');
      player.runCommand('execute as @s run tag @s remove Performance1');
    }
    if (finish.selection == 3) {
      player.runCommand('playsound note.pling @s');
      StormsMenu(player);
    }
  })
}
function TornadoItem(player) {
  const TI = new ModalFormData();
  TI.title("Tornado Spawn Menu");
  TI.dropdown("Tornado To Spawn:", ["F0", "F1", "F2", "F3"]);
  TI.toggle("Are Spawned Weak", false);
  TI.slider("X Spawn Distance", 0, 100, 1);
  TI.slider("Z Spawn Distance", 0, 100, 1);
  TI.slider("Number To Spawn", 1, 3, 1);
  TI.show(player).then(finish => {
    if (finish.formValues[0] == 0 && finish.formValues[1] == false && finish.formValues[4] == 1) {
      player.runCommand(`execute as @s at @s run summon agp:tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 0 && finish.formValues[1] == false && finish.formValues[4] == 2) {
      player.runCommand(`execute as @s at @s run summon agp:tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 0 && finish.formValues[1] == false && finish.formValues[4] == 3) {
      player.runCommand(`execute as @s at @s run summon agp:tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }

    if (finish.formValues[0] == 0 && finish.formValues[1] == true && finish.formValues[4] == 1) {
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 0 && finish.formValues[1] == true && finish.formValues[4] == 2) {
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 0 && finish.formValues[1] == true && finish.formValues[4] == 3) {
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado0 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }

    if (finish.formValues[0] == 1 && finish.formValues[1] == false && finish.formValues[4] == 1) {
      player.runCommand(`execute as @s at @s run summon agp:tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 1 && finish.formValues[1] == false && finish.formValues[4] == 2) {
      player.runCommand(`execute as @s at @s run summon agp:tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 1 && finish.formValues[1] == false && finish.formValues[4] == 3) {
      player.runCommand(`execute as @s at @s run summon agp:tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }

    if (finish.formValues[0] == 1 && finish.formValues[1] == true && finish.formValues[4] == 1) {
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 1 && finish.formValues[1] == true && finish.formValues[4] == 2) {
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 1 && finish.formValues[1] == true && finish.formValues[4] == 3) {
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado1 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }

    if (finish.formValues[0] == 2 && finish.formValues[1] == false && finish.formValues[4] == 1) {
      player.runCommand(`execute as @s at @s run summon agp:tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 2 && finish.formValues[1] == false && finish.formValues[4] == 2) {
      player.runCommand(`execute as @s at @s run summon agp:tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 2 && finish.formValues[1] == false && finish.formValues[4] == 3) {
      player.runCommand(`execute as @s at @s run summon agp:tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }

    if (finish.formValues[0] == 2 && finish.formValues[1] == true && finish.formValues[4] == 1) {
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 2 && finish.formValues[1] == true && finish.formValues[4] == 2) {
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 2 && finish.formValues[1] == true && finish.formValues[4] == 3) {
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado2 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }

    if (finish.formValues[0] == 3 && finish.formValues[1] == false && finish.formValues[4] == 1) {
      player.runCommand(`execute as @s at @s run summon agp:tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 3 && finish.formValues[1] == false && finish.formValues[4] == 2) {
      player.runCommand(`execute as @s at @s run summon agp:tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 3 && finish.formValues[1] == false && finish.formValues[4] == 3) {
      player.runCommand(`execute as @s at @s run summon agp:tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }

    if (finish.formValues[0] == 3 && finish.formValues[1] == true && finish.formValues[4] == 1) {
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 3 && finish.formValues[1] == true && finish.formValues[4] == 1) {
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
    if (finish.formValues[0] == 3 && finish.formValues[1] == true && finish.formValues[4] == 1) {
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
      player.runCommand(`execute as @s at @s run summon agp:dd_tornado3 ~${finish.formValues[2]} ~ ~${finish.formValues[3]}`);
    }
  })
} //Made by ItzJeremicer