import { world, system } from '@minecraft/server';
import { ActionFormData, ModalFormData, MessageFormData } from '@minecraft/server-ui';

world.afterEvents.playerSpawn.subscribe(eventData => {
  const player = eventData.player;
  system.run(() => {
    JoinedForm(player);
  })
})
function JoinedForm(player) {
  const PJ = new ActionFormData();
  PJ.title("Welcome Menu");
  PJ.body(`Greetings, ${player.name}! In this menu, you can learn more about the addon, and its development!`);
  PJ.button("Credits");
  PJ.button("Info");
  PJ.show(player).then(finalize => {
    if (finalize.selection == 0) {
      player.runCommandAsync("playsound note.pling @s");
      JoinedFormCredits(player);
    }
    if (finalize.selection == 1) {
      player.runCommandAsync("playsound note.pling @s");
      JoinedFormInfo(player);
    }
  })
}
function JoinedFormCredits(player) {
  const PJC = new ActionFormData();
  PJC.title("Welcome Menu - Credits");
  PJC.body("Credits: TheWiz200 - tornado texturerer, AlexPopTntYT - particle texturerer, AlexPopTntYT - Sound creator");
  PJC.button("Back Menu");
  PJC.show(player).then(finalize => {
    if (finalize.selection == 0) {
      player.runCommandAsync("playsound note.pling @s");
      JoinedForm(player);
    }
  })
}
function JoinedFormInfo(player) {
  const PJI = new ActionFormData();
  PJI.title("Welcome Menu - Info");
  PJI.body("Info: §cThe official version of this addon, can only be found on: §amcpedl.com §cand §asites.google.com/view/itzjeremicers-content-closet/home");
  PJI.button("Back Menu");
  PJI.show(player).then(finalize => {
    if (finalize.selection == 0) {
      player.runCommandAsync("playsound note.pling @s");
      JoinedForm(player);
    }
  })
}