import { world, system } from '@minecraft/server';

system.runInterval(async () => {
  let playersHolding = world.getPlayers();

  for (let player of playersHolding) {
    let playerInvContainer = player.getComponent("inventory").container;
    let item = playerInvContainer.getItem(player.selectedSlot);

    if (item.typeId === "agp:settings" && player.hasTag('Selector') || player.hasTag('TempSelector')) {
      item.setLore(['§6Right click the item, to open menu GUI', '§1Public menu']);
      playerInvContainer.setItem(player.selectedSlot, item);
    }
    if (item.typeId === "agp:settings" && !player.hasTag('Selector')) {
      item.setLore(['§6Right click the item, to open menu GUI', '§1Personal menu']);
      playerInvContainer.setItem(player.selectedSlot, item);
    }

    if (item.typeId === "agp:settings" && player.isSneaking && !player.hasTag('LoreSneak')) {
      player.addTag('LoreSneak');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§litem: §r${item.typeId} \n§llore: §r${item.getLore()}"}]}`);
    }

    if (item.typeId === "agp:tornado_spawner") {
      item.setLore(['§1Right click the item, to spawn F1']);
      playerInvContainer.setItem(player.selectedSlot, item);
    }

    if (item.typeId === "agp:tornado_spawner" && player.isSneaking && !player.hasTag('LoreSneak')) {
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§litem: §r${item.typeId} \nlore: §r${item.getLore()}"}]}`);
    }

    if (item.typeId === "agp:tornado_menu" && player.hasTag('Selector') || player.hasTag('Operator')) {
      item.setLore(['§6Right click the item, to open spawn menu GUI', '§1Public menu']);
      playerInvContainer.setItem(player.selectedSlot, item);
    }
    if (item.typeId === "agp:tornado_menu" && !player.hasTag('Selector')) {
      item.setLore([`§4${player.name} you do not have the right permissions`]);
      playerInvContainer.setItem(player.selectedSlot, item);
    }

    if (item.typeId === "agp:tornado_menu" && player.isSneaking && !player.hasTag('LoreSneak')) {
      player.addTag('LoreSneak');
      player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§litem: §r${item.typeId} \n§llore: §r${item.getLore()}"}]}`);
    }

    if (!player.isSneaking) {
      player.removeTag('LoreSneak');
    }
  }
}, 20) //Made by ItzJeremicer