import { world, system } from "@minecraft/server";

system.runInterval(async () => {
  let radarMob = world.getDimension("overworld").getEntities();

  let td = world.getDimension("overworld").getEntities();

  for (let radar of radarMob) {
    if (radar.typeId === "agp:decoy_radar") {
      for (let tornado of td) {
        if (radar.hasTag("AR") && radar.hasTag("RMRealtime")) {
          //Normal
          if (tornado.typeId === "agp:tornado0") {
            const posX = Math.round(tornado.location.x - radar.location.x) / 300 * 1.6;
            const posZ = Math.round(tornado.location.z - radar.location.z) / 300 * 1.6;
            if (posX < 1.5 && posZ < 1.5 && posX > -1.5 && posZ > -1.5) {
              radar.runCommandAsync(`particle agp:gt_f0_indicator ~${posX} ~0.02 ~${posZ}`);
            }
          }
          if (tornado.typeId === "agp:tornado1") {
            const posX = Math.round(tornado.location.x - radar.location.x) / 300 * 1.6;
            const posZ = Math.round(tornado.location.z - radar.location.z) / 300 * 1.6;
            if (posX < 1.5 && posZ < 1.5 && posX > -1.5 && posZ > -1.5) {
              radar.runCommandAsync(`particle agp:gt_f1_indicator ~${posX} ~0.02 ~${posZ}`);
            }
          }
          if (tornado.typeId === "agp:tornado2") {
            const posX = Math.round(tornado.location.x - radar.location.x) / 300 * 1.6;
            const posZ = Math.round(tornado.location.z - radar.location.z) / 300 * 1.6;
            if (posX < 1.5 && posZ < 1.5 && posX > -1.5 && posZ > -1.5) {
              radar.runCommandAsync(`particle agp:gt_f2_indicator ~${posX} ~0.02 ~${posZ}`);
            }
          }
          if (tornado.typeId === "agp:tornado3") {
            const posX = Math.round(tornado.location.x - radar.location.x) / 300 * 1.6;
            const posZ = Math.round(tornado.location.z - radar.location.z) / 300 * 1.6;
            if (posX < 1.5 && posZ < 1.5 && posX > -1.5 && posZ > -1.5) {
              radar.runCommandAsync(`particle agp:gt_f3_indicator ~${posX} ~0.02 ~${posZ}`);
            }
          }
          //Died-Down
          if (tornado.typeId === "agp:dd_tornado0") {
            const posX = Math.round(tornado.location.x - radar.location.x) / 300 * 1.6;
            const posZ = Math.round(tornado.location.z - radar.location.z) / 300 * 1.6;
            if (posX < 1.5 && posZ < 1.5 && posX > -1.5 && posZ > -1.5) {
              radar.runCommandAsync(`particle agp:gt_dd_f0_indicator ~${posX} ~0.02 ~${posZ}`);
            }
          }
          if (tornado.typeId === "agp:dd_tornado1") {
            const posX = Math.round(tornado.location.x - radar.location.x) / 300 * 1.6;
            const posZ = Math.round(tornado.location.z - radar.location.z) / 300 * 1.6;
            if (posX < 1.5 && posZ < 1.5 && posX > -1.5 && posZ > -1.5) {
              radar.runCommandAsync(`particle agp:gt_dd_f1_indicator ~${posX} ~0.02 ~${posZ}`);
            }
          }
          if (tornado.typeId === "agp:dd_tornado2") {
            const posX = Math.round(tornado.location.x - radar.location.x) / 300 * 1.6;
            const posZ = Math.round(tornado.location.z - radar.location.z) / 300 * 1.6;
            if (posX < 1.5 && posZ < 1.5 && posX > -1.5 && posZ > -1.5) {
              radar.runCommandAsync(`particle agp:gt_dd_f2_indicator ~${posX} ~0.02 ~${posZ}`);
            }
          }
          if (tornado.typeId === "agp:dd_tornado3") {
            const posX = Math.round(tornado.location.x - radar.location.x) / 300 * 1.6;
            const posZ = Math.round(tornado.location.z - radar.location.z) / 300 * 1.6;
            if (posX < 1.5 && posZ < 1.5 && posX > -1.5 && posZ > -1.5) {
              radar.runCommandAsync(`particle agp:gt_dd_f3_indicator ~${posX} ~0.02 ~${posZ}`);
            }
          }
        }
        if (radar.hasTag("AR") && radar.hasTag("RMRealtimeVisual")) {
          if (tornado.typeId === "agp:tornado0" || tornado.typeId === "agp:dd_tornado0") {
            const posX = Math.round(tornado.location.x - radar.location.x) / 300 * 1.6;
            const posZ = Math.round(tornado.location.z - radar.location.z) / 300 * 1.6;
            if (posX < 1.5 && posZ < 1.5 && posX > -1.5 && posZ > -1.5) {
              radar.runCommandAsync(`particle agp:f0_visual_indicator ~${posX} ~0.77 ~${posZ}`);
            }
          }
          if (tornado.typeId === "agp:tornado1" || tornado.typeId === "agp:dd_tornado1") {
            const posX = Math.round(tornado.location.x - radar.location.x) / 300 * 1.6;
            const posZ = Math.round(tornado.location.z - radar.location.z) / 300 * 1.6;
            if (posX < 1.5 && posZ < 1.5 && posX > -1.5 && posZ > -1.5) {
              radar.runCommandAsync(`particle agp:f1_visual_indicator ~${posX} ~0.77 ~${posZ}`);
            }
          }
          if (tornado.typeId === "agp:tornado2" || tornado.typeId === "agp:dd_tornado2") {
            const posX = Math.round(tornado.location.x - radar.location.x) / 300 * 1.6;
            const posZ = Math.round(tornado.location.z - radar.location.z) / 300 * 1.6;
            if (posX < 1.5 && posZ < 1.5 && posX > -1.5 && posZ > -1.5) {
              radar.runCommandAsync(`particle agp:f2_visual_indicator ~${posX} ~0.77 ~${posZ}`);
            }
          }
          if (tornado.typeId === "agp:tornado3" || tornado.typeId === "agp:dd_tornado3") {
            const posX = Math.round(tornado.location.x - radar.location.x) / 300 * 1.6;
            const posZ = Math.round(tornado.location.z - radar.location.z) / 300 * 1.6;
            if (posX < 1.5 && posZ < 1.5 && posX > -1.5 && posZ > -1.5) {
              radar.runCommandAsync(`particle agp:f3_visual_indicator ~${posX} ~0.77 ~${posZ}`);
            }
          }
        }
      }
    }
  }
}, 3) //Made by ItzJeremicer